/*
** gtklean - cleaner, safer C API for GTK+ generated directly from GTK+ headers
**
** Copyright (C) 2000, 2001 raf <raf@raf.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
** or visit http://www.gnu.org/copyleft/gpl.html
**
** 20010623 raf <raf@raf.org>
** http://raf.org/gtklean/
*/

#ifndef __GTKLEAN_H__
#define __GTKLEAN_H__

/* Generated for GTK+ 1.2.10 */

#ifndef __GTK_H__
#include <gtk/gtk.h>
#endif

/*
** GTK+ signals are specified as strings. This inevitably leads to run time
** errors. Specify signals with the following macros to eliminate run time
** errors in favour of compile time errors.
**
** Note: The function macros below automatically prepend "GTKSIG_" to all
** signal arguments so just type the same signal names without the quotes
** (with any dashes replaced with underscores).
*/

#define GTKSIG_abort_column_resize "abort_column_resize"
#define GTKSIG_activate "activate"
#define GTKSIG_activate_current "activate_current"
#define GTKSIG_activate_item "activate_item"
#define GTKSIG_add "add"
#define GTKSIG_add_accelerator "add-accelerator"
#define GTKSIG_button_press_event "button_press_event"
#define GTKSIG_button_release_event "button_release_event"
#define GTKSIG_cancel "cancel"
#define GTKSIG_change_focus_row_expansion "change_focus_row_expansion"
#define GTKSIG_changed "changed"
#define GTKSIG_check_resize "check_resize"
#define GTKSIG_child_attached "child_attached"
#define GTKSIG_child_detached "child_detached"
#define GTKSIG_click_column "click_column"
#define GTKSIG_clicked "clicked"
#define GTKSIG_client_event "client_event"
#define GTKSIG_collapse "collapse"
#define GTKSIG_color_changed "color_changed"
#define GTKSIG_configure_event "configure_event"
#define GTKSIG_copy_clipboard "copy_clipboard"
#define GTKSIG_curve_type_changed "curve_type_changed"
#define GTKSIG_cut_clipboard "cut_clipboard"
#define GTKSIG_day_selected "day_selected"
#define GTKSIG_day_selected_double_click "day_selected_double_click"
#define GTKSIG_deactivate "deactivate"
#define GTKSIG_debug_msg "debug_msg"
#define GTKSIG_delete_event "delete_event"
#define GTKSIG_delete_text "delete_text"
#define GTKSIG_deselect "deselect"
#define GTKSIG_destroy "destroy"
#define GTKSIG_destroy_event "destroy_event"
#define GTKSIG_disable_device "disable_device"
#define GTKSIG_disconnect "disconnect"
#define GTKSIG_drag_begin "drag_begin"
#define GTKSIG_drag_data_delete "drag_data_delete"
#define GTKSIG_drag_data_get "drag_data_get"
#define GTKSIG_drag_data_received "drag_data_received"
#define GTKSIG_drag_drop "drag_drop"
#define GTKSIG_drag_end "drag_end"
#define GTKSIG_drag_leave "drag_leave"
#define GTKSIG_drag_motion "drag_motion"
#define GTKSIG_draw "draw"
#define GTKSIG_draw_default "draw_default"
#define GTKSIG_draw_focus "draw_focus"
#define GTKSIG_enable_device "enable_device"
#define GTKSIG_end_selection "end_selection"
#define GTKSIG_enter "enter"
#define GTKSIG_enter_notify_event "enter_notify_event"
#define GTKSIG_event "event"
#define GTKSIG_expand "expand"
#define GTKSIG_expose_event "expose_event"
#define GTKSIG_extend_selection "extend_selection"
#define GTKSIG_focus "focus"
#define GTKSIG_focus_in_event "focus_in_event"
#define GTKSIG_focus_out_event "focus_out_event"
#define GTKSIG_grab_focus "grab_focus"
#define GTKSIG_hide "hide"
#define GTKSIG_insert_text "insert_text"
#define GTKSIG_key_press_event "key_press_event"
#define GTKSIG_key_release_event "key_release_event"
#define GTKSIG_kill_char "kill_char"
#define GTKSIG_kill_line "kill_line"
#define GTKSIG_kill_word "kill_word"
#define GTKSIG_leave "leave"
#define GTKSIG_leave_notify_event "leave_notify_event"
#define GTKSIG_map "map"
#define GTKSIG_map_event "map_event"
#define GTKSIG_month_changed "month_changed"
#define GTKSIG_motion_notify_event "motion_notify_event"
#define GTKSIG_move_current "move_current"
#define GTKSIG_move_cursor "move_cursor"
#define GTKSIG_move_page "move_page"
#define GTKSIG_move_to_column "move_to_column"
#define GTKSIG_move_to_row "move_to_row"
#define GTKSIG_move_word "move_word"
#define GTKSIG_next_month "next_month"
#define GTKSIG_next_year "next_year"
#define GTKSIG_no_expose_event "no_expose_event"
#define GTKSIG_orientation_changed "orientation_changed"
#define GTKSIG_parent_set "parent_set"
#define GTKSIG_paste_clipboard "paste_clipboard"
#define GTKSIG_pressed "pressed"
#define GTKSIG_prev_month "prev_month"
#define GTKSIG_prev_year "prev_year"
#define GTKSIG_property_notify_event "property_notify_event"
#define GTKSIG_proximity_in_event "proximity_in_event"
#define GTKSIG_proximity_out_event "proximity_out_event"
#define GTKSIG_realize "realize"
#define GTKSIG_released "released"
#define GTKSIG_remove "remove"
#define GTKSIG_remove_accelerator "remove-accelerator"
#define GTKSIG_resize_column "resize_column"
#define GTKSIG_row_move "row_move"
#define GTKSIG_scroll_horizontal "scroll_horizontal"
#define GTKSIG_scroll_vertical "scroll_vertical"
#define GTKSIG_select "select"
#define GTKSIG_select_all "select_all"
#define GTKSIG_select_child "select_child"
#define GTKSIG_select_row "select_row"
#define GTKSIG_selection_done "selection-done"
#define GTKSIG_selection_changed "selection_changed"
#define GTKSIG_selection_clear_event "selection_clear_event"
#define GTKSIG_selection_get "selection_get"
#define GTKSIG_selection_notify_event "selection_notify_event"
#define GTKSIG_selection_received "selection_received"
#define GTKSIG_selection_request_event "selection_request_event"
#define GTKSIG_set_editable "set-editable"
#define GTKSIG_set_focus_child "set-focus-child"
#define GTKSIG_set_focus "set_focus"
#define GTKSIG_set_scroll_adjustments "set_scroll_adjustments"
#define GTKSIG_show "show"
#define GTKSIG_size_allocate "size_allocate"
#define GTKSIG_size_request "size_request"
#define GTKSIG_start_query "start_query"
#define GTKSIG_start_selection "start_selection"
#define GTKSIG_state_changed "state_changed"
#define GTKSIG_stop_query "stop_query"
#define GTKSIG_style_changed "style_changed"
#define GTKSIG_style_set "style_set"
#define GTKSIG_switch_page "switch_page"
#define GTKSIG_text_popped "text_popped"
#define GTKSIG_text_pushed "text_pushed"
#define GTKSIG_toggle "toggle"
#define GTKSIG_toggle_add_mode "toggle_add_mode"
#define GTKSIG_toggle_focus_row "toggle_focus_row"
#define GTKSIG_toggled "toggled"
#define GTKSIG_tree_collapse "tree_collapse"
#define GTKSIG_tree_expand "tree_expand"
#define GTKSIG_tree_move "tree_move"
#define GTKSIG_tree_select_row "tree_select_row"
#define GTKSIG_tree_unselect_row "tree_unselect_row"
#define GTKSIG_undo_selection "undo_selection"
#define GTKSIG_unmap "unmap"
#define GTKSIG_unmap_event "unmap_event"
#define GTKSIG_unrealize "unrealize"
#define GTKSIG_unselect_all "unselect_all"
#define GTKSIG_unselect_child "unselect_child"
#define GTKSIG_unselect_row "unselect_row"
#define GTKSIG_value_changed "value_changed"
#define GTKSIG_visibility_notify_event "visibility_notify_event"
#define GTKSIG_widget_entered "widget_entered"
#define GTKSIG_widget_selected "widget_selected"

/*
** Using the GTK+ functions is long winded. The following macros prepend "gtk_"
** to everything (except the functions in gtkmain.h) and include the run time
** type checking and casting macro calls for all arguments that need them
** (e.g. GtkWidget arguments need to be passed via GTK_WIDGET() and
** GtkSignalFunc arguments need to be passed via GTK_SIGNAL_FUNC()).
** This means you can't forget to include the run time checks and you never
** need to see them. These macros also prepend "GTKSIG_" to all signal
** arguments (see above).
**
** Note: It is not possible to implement wrapper macros for variadic functions
** that insert the casting macro calls. So, unfortunately, they will still
** require manual insertion for such functions. There are still wrapper macros
** for GTK+'s variadic functions but all they do is prepend "gtk_" to the
** function's name.
*/

#define accelerator_valid gtk_accelerator_valid
#define accelerator_parse gtk_accelerator_parse
#define accelerator_name gtk_accelerator_name
#define accelerator_set_default_mod_mask gtk_accelerator_set_default_mod_mask
#define accelerator_get_default_mod_mask gtk_accelerator_get_default_mod_mask
#define accel_group_new gtk_accel_group_new
#define accel_group_get_default gtk_accel_group_get_default
#define accel_group_ref gtk_accel_group_ref
#define accel_group_unref gtk_accel_group_unref
#define accel_group_lock gtk_accel_group_lock
#define accel_group_unlock gtk_accel_group_unlock
#define accel_groups_activate(object, accel_key, accel_mods) gtk_accel_groups_activate(GTK_OBJECT(object), (accel_key), (accel_mods))
#define accel_group_activate gtk_accel_group_activate
#define accel_group_attach(accel_group, object) gtk_accel_group_attach((accel_group), GTK_OBJECT(object))
#define accel_group_detach(accel_group, object) gtk_accel_group_detach((accel_group), GTK_OBJECT(object))
#define accel_group_get_entry gtk_accel_group_get_entry
#define accel_group_lock_entry gtk_accel_group_lock_entry
#define accel_group_unlock_entry gtk_accel_group_unlock_entry
#define accel_group_add(accel_group, accel_key, accel_mods, accel_flags, object, accel_signal) gtk_accel_group_add((accel_group), (accel_key), (accel_mods), (accel_flags), GTK_OBJECT(object), (GTKSIG_ ## accel_signal))
#define accel_group_remove(accel_group, accel_key, accel_mods, object) gtk_accel_group_remove((accel_group), (accel_key), (accel_mods), GTK_OBJECT(object))
#define accel_group_handle_add(object, accel_signal_id, accel_group, accel_key, accel_mods, accel_flags) gtk_accel_group_handle_add(GTK_OBJECT(object), (accel_signal_id), (accel_group), (accel_key), (accel_mods), (accel_flags))
#define accel_group_handle_remove(object, accel_group, accel_key, accel_mods) gtk_accel_group_handle_remove(GTK_OBJECT(object), (accel_group), (accel_key), (accel_mods))
#define accel_group_create_add gtk_accel_group_create_add
#define accel_group_create_remove gtk_accel_group_create_remove
#define accel_groups_from_object(object) gtk_accel_groups_from_object(GTK_OBJECT(object))
#define accel_group_entries_from_object(object) gtk_accel_group_entries_from_object(GTK_OBJECT(object))
#define accel_label_get_type gtk_accel_label_get_type
#define accel_label_new gtk_accel_label_new
#define accel_label_get_accel_width(accel_label) gtk_accel_label_get_accel_width(GTK_ACCEL_LABEL(accel_label))
#define accel_label_set_accel_widget(accel_label, accel_widget) gtk_accel_label_set_accel_widget(GTK_ACCEL_LABEL(accel_label), GTK_WIDGET(accel_widget))
#define accel_label_refetch(accel_label) gtk_accel_label_refetch(GTK_ACCEL_LABEL(accel_label))
#define adjustment_get_type gtk_adjustment_get_type
#define adjustment_new gtk_adjustment_new
#define adjustment_changed(adjustment) gtk_adjustment_changed(GTK_ADJUSTMENT(adjustment))
#define adjustment_value_changed(adjustment) gtk_adjustment_value_changed(GTK_ADJUSTMENT(adjustment))
#define adjustment_clamp_page(adjustment, lower, upper) gtk_adjustment_clamp_page(GTK_ADJUSTMENT(adjustment), (lower), (upper))
#define adjustment_set_value(adjustment, value) gtk_adjustment_set_value(GTK_ADJUSTMENT(adjustment), (value))
#define alignment_get_type gtk_alignment_get_type
#define alignment_new gtk_alignment_new
#define alignment_set(alignment, xalign, yalign, xscale, yscale) gtk_alignment_set(GTK_ALIGNMENT(alignment), (xalign), (yalign), (xscale), (yscale))
#define arg_new gtk_arg_new
#define arg_copy gtk_arg_copy
#define arg_free gtk_arg_free
#define arg_reset gtk_arg_reset
#define arg_values_equal gtk_arg_values_equal
#define args_collect gtk_args_collect
#define args_collect_cleanup gtk_args_collect_cleanup
#define arg_get_info gtk_arg_get_info
#define arg_type_new_static gtk_arg_type_new_static
#define args_query gtk_args_query
#define arg_name_strip_type gtk_arg_name_strip_type
#define arg_info_equal gtk_arg_info_equal
#define arg_info_hash gtk_arg_info_hash
#define arg_to_valueloc gtk_arg_to_valueloc
#define arrow_get_type gtk_arrow_get_type
#define arrow_new gtk_arrow_new
#define arrow_set(arrow, arrow_type, shadow_type) gtk_arrow_set(GTK_ARROW(arrow), (arrow_type), (shadow_type))
#define aspect_frame_get_type gtk_aspect_frame_get_type
#define aspect_frame_new gtk_aspect_frame_new
#define aspect_frame_set(aspect_frame, xalign, yalign, ratio, obey_child) gtk_aspect_frame_set(GTK_ASPECT_FRAME(aspect_frame), (xalign), (yalign), (ratio), (obey_child))
#define bin_get_type gtk_bin_get_type
#define pattern_spec_init gtk_pattern_spec_init
#define pattern_spec_free_segs gtk_pattern_spec_free_segs
#define pattern_match gtk_pattern_match
#define pattern_match_string gtk_pattern_match_string
#define pattern_match_simple gtk_pattern_match_simple
#define binding_set_new gtk_binding_set_new
#define binding_set_by_class gtk_binding_set_by_class
#define binding_set_find gtk_binding_set_find
#define bindings_activate(object, keyval, modifiers) gtk_bindings_activate(GTK_OBJECT(object), (keyval), (modifiers))
#define binding_set_activate(binding_set, keyval, modifiers, object) gtk_binding_set_activate((binding_set), (keyval), (modifiers), GTK_OBJECT(object))
#define binding_entry_add gtk_binding_entry_add
#define binding_entry_clear gtk_binding_entry_clear
#define binding_entry_add_signal gtk_binding_entry_add_signal
#define binding_set_add_path gtk_binding_set_add_path
#define binding_entry_remove gtk_binding_entry_remove
#define binding_entry_add_signall(binding_set, keyval, modifiers, signal_name, binding_args) gtk_binding_entry_add_signall((binding_set), (keyval), (modifiers), (GTKSIG_ ## signal_name), (binding_args))
#define binding_parse_binding gtk_binding_parse_binding
#define button_box_get_type gtk_button_box_get_type
#define button_box_get_child_size_default gtk_button_box_get_child_size_default
#define button_box_get_child_ipadding_default gtk_button_box_get_child_ipadding_default
#define button_box_set_child_size_default gtk_button_box_set_child_size_default
#define button_box_set_child_ipadding_default gtk_button_box_set_child_ipadding_default
#define button_box_get_spacing(widget) gtk_button_box_get_spacing(GTK_BUTTON_BOX(widget))
#define button_box_get_layout(widget) gtk_button_box_get_layout(GTK_BUTTON_BOX(widget))
#define button_box_get_child_size(widget, min_width, min_height) gtk_button_box_get_child_size(GTK_BUTTON_BOX(widget), (min_width), (min_height))
#define button_box_get_child_ipadding(widget, ipad_x, ipad_y) gtk_button_box_get_child_ipadding(GTK_BUTTON_BOX(widget), (ipad_x), (ipad_y))
#define button_box_set_spacing(widget, spacing) gtk_button_box_set_spacing(GTK_BUTTON_BOX(widget), (spacing))
#define button_box_set_layout(widget, layout_style) gtk_button_box_set_layout(GTK_BUTTON_BOX(widget), (layout_style))
#define button_box_set_child_size(widget, min_width, min_height) gtk_button_box_set_child_size(GTK_BUTTON_BOX(widget), (min_width), (min_height))
#define button_box_set_child_ipadding(widget, ipad_x, ipad_y) gtk_button_box_set_child_ipadding(GTK_BUTTON_BOX(widget), (ipad_x), (ipad_y))
#define button_box_child_requisition(widget, nvis_children, width, height) gtk_button_box_child_requisition(GTK_WIDGET(widget), (nvis_children), (width), (height))
#define box_get_type gtk_box_get_type
#define box_pack_start(box, child, expand, fill, padding) gtk_box_pack_start(GTK_BOX(box), GTK_WIDGET(child), (expand), (fill), (padding))
#define box_pack_end(box, child, expand, fill, padding) gtk_box_pack_end(GTK_BOX(box), GTK_WIDGET(child), (expand), (fill), (padding))
#define box_pack_start_defaults(box, widget) gtk_box_pack_start_defaults(GTK_BOX(box), GTK_WIDGET(widget))
#define box_pack_end_defaults(box, widget) gtk_box_pack_end_defaults(GTK_BOX(box), GTK_WIDGET(widget))
#define box_set_homogeneous(box, homogeneous) gtk_box_set_homogeneous(GTK_BOX(box), (homogeneous))
#define box_set_spacing(box, spacing) gtk_box_set_spacing(GTK_BOX(box), (spacing))
#define box_reorder_child(box, child, position) gtk_box_reorder_child(GTK_BOX(box), GTK_WIDGET(child), (position))
#define box_query_child_packing(box, child, expand, fill, padding, pack_type) gtk_box_query_child_packing(GTK_BOX(box), GTK_WIDGET(child), (expand), (fill), (padding), (pack_type))
#define box_set_child_packing(box, child, expand, fill, padding, pack_type) gtk_box_set_child_packing(GTK_BOX(box), GTK_WIDGET(child), (expand), (fill), (padding), (pack_type))
#define button_get_type gtk_button_get_type
#define button_new gtk_button_new
#define button_new_with_label gtk_button_new_with_label
#define button_pressed(button) gtk_button_pressed(GTK_BUTTON(button))
#define button_released(button) gtk_button_released(GTK_BUTTON(button))
#define button_clicked(button) gtk_button_clicked(GTK_BUTTON(button))
#define button_enter(button) gtk_button_enter(GTK_BUTTON(button))
#define button_leave(button) gtk_button_leave(GTK_BUTTON(button))
#define button_set_relief(button, newstyle) gtk_button_set_relief(GTK_BUTTON(button), (newstyle))
#define button_get_relief(button) gtk_button_get_relief(GTK_BUTTON(button))
#define calendar_get_type gtk_calendar_get_type
#define calendar_new gtk_calendar_new
#define calendar_select_month(calendar, month, year) gtk_calendar_select_month(GTK_CALENDAR(calendar), (month), (year))
#define calendar_select_day(calendar, day) gtk_calendar_select_day(GTK_CALENDAR(calendar), (day))
#define calendar_mark_day(calendar, day) gtk_calendar_mark_day(GTK_CALENDAR(calendar), (day))
#define calendar_unmark_day(calendar, day) gtk_calendar_unmark_day(GTK_CALENDAR(calendar), (day))
#define calendar_clear_marks(calendar) gtk_calendar_clear_marks(GTK_CALENDAR(calendar))
#define calendar_display_options(calendar, flags) gtk_calendar_display_options(GTK_CALENDAR(calendar), (flags))
#define calendar_get_date(calendar, year, month, day) gtk_calendar_get_date(GTK_CALENDAR(calendar), (year), (month), (day))
#define calendar_freeze(calendar) gtk_calendar_freeze(GTK_CALENDAR(calendar))
#define calendar_thaw(calendar) gtk_calendar_thaw(GTK_CALENDAR(calendar))
#define check_button_get_type gtk_check_button_get_type
#define check_button_new gtk_check_button_new
#define check_button_new_with_label gtk_check_button_new_with_label
#define check_menu_item_get_type gtk_check_menu_item_get_type
#define check_menu_item_new gtk_check_menu_item_new
#define check_menu_item_new_with_label gtk_check_menu_item_new_with_label
#define check_menu_item_set_active(check_menu_item, is_active) gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(check_menu_item), (is_active))
#define check_menu_item_set_show_toggle(menu_item, always) gtk_check_menu_item_set_show_toggle(GTK_CHECK_MENU_ITEM(menu_item), (always))
#define check_menu_item_toggled(check_menu_item) gtk_check_menu_item_toggled(GTK_CHECK_MENU_ITEM(check_menu_item))
#define clist_get_type gtk_clist_get_type
#define clist_construct(clist, columns, titles) gtk_clist_construct(GTK_CLIST(clist), (columns), (titles))
#define clist_new gtk_clist_new
#define clist_new_with_titles gtk_clist_new_with_titles
#define clist_set_hadjustment(clist, adjustment) gtk_clist_set_hadjustment(GTK_CLIST(clist), GTK_ADJUSTMENT(adjustment))
#define clist_set_vadjustment(clist, adjustment) gtk_clist_set_vadjustment(GTK_CLIST(clist), GTK_ADJUSTMENT(adjustment))
#define clist_get_hadjustment(clist) gtk_clist_get_hadjustment(GTK_CLIST(clist))
#define clist_get_vadjustment(clist) gtk_clist_get_vadjustment(GTK_CLIST(clist))
#define clist_set_shadow_type(clist, type) gtk_clist_set_shadow_type(GTK_CLIST(clist), (type))
#define clist_set_selection_mode(clist, mode) gtk_clist_set_selection_mode(GTK_CLIST(clist), (mode))
#define clist_set_reorderable(clist, reorderable) gtk_clist_set_reorderable(GTK_CLIST(clist), (reorderable))
#define clist_set_use_drag_icons(clist, use_icons) gtk_clist_set_use_drag_icons(GTK_CLIST(clist), (use_icons))
#define clist_set_button_actions(clist, button, button_actions) gtk_clist_set_button_actions(GTK_CLIST(clist), (button), (button_actions))
#define clist_freeze(clist) gtk_clist_freeze(GTK_CLIST(clist))
#define clist_thaw(clist) gtk_clist_thaw(GTK_CLIST(clist))
#define clist_column_titles_show(clist) gtk_clist_column_titles_show(GTK_CLIST(clist))
#define clist_column_titles_hide(clist) gtk_clist_column_titles_hide(GTK_CLIST(clist))
#define clist_column_title_active(clist, column) gtk_clist_column_title_active(GTK_CLIST(clist), (column))
#define clist_column_title_passive(clist, column) gtk_clist_column_title_passive(GTK_CLIST(clist), (column))
#define clist_column_titles_active(clist) gtk_clist_column_titles_active(GTK_CLIST(clist))
#define clist_column_titles_passive(clist) gtk_clist_column_titles_passive(GTK_CLIST(clist))
#define clist_set_column_title(clist, column, title) gtk_clist_set_column_title(GTK_CLIST(clist), (column), (title))
#define clist_get_column_title(clist, column) gtk_clist_get_column_title(GTK_CLIST(clist), (column))
#define clist_set_column_widget(clist, column, widget) gtk_clist_set_column_widget(GTK_CLIST(clist), (column), GTK_WIDGET(widget))
#define clist_get_column_widget(clist, column) gtk_clist_get_column_widget(GTK_CLIST(clist), (column))
#define clist_set_column_justification(clist, column, justification) gtk_clist_set_column_justification(GTK_CLIST(clist), (column), (justification))
#define clist_set_column_visibility(clist, column, visible) gtk_clist_set_column_visibility(GTK_CLIST(clist), (column), (visible))
#define clist_set_column_resizeable(clist, column, resizeable) gtk_clist_set_column_resizeable(GTK_CLIST(clist), (column), (resizeable))
#define clist_set_column_auto_resize(clist, column, auto_resize) gtk_clist_set_column_auto_resize(GTK_CLIST(clist), (column), (auto_resize))
#define clist_columns_autosize(clist) gtk_clist_columns_autosize(GTK_CLIST(clist))
#define clist_optimal_column_width(clist, column) gtk_clist_optimal_column_width(GTK_CLIST(clist), (column))
#define clist_set_column_width(clist, column, width) gtk_clist_set_column_width(GTK_CLIST(clist), (column), (width))
#define clist_set_column_min_width(clist, column, min_width) gtk_clist_set_column_min_width(GTK_CLIST(clist), (column), (min_width))
#define clist_set_column_max_width(clist, column, max_width) gtk_clist_set_column_max_width(GTK_CLIST(clist), (column), (max_width))
#define clist_set_row_height(clist, height) gtk_clist_set_row_height(GTK_CLIST(clist), (height))
#define clist_moveto(clist, row, column, row_align, col_align) gtk_clist_moveto(GTK_CLIST(clist), (row), (column), (row_align), (col_align))
#define clist_row_is_visible(clist, row) gtk_clist_row_is_visible(GTK_CLIST(clist), (row))
#define clist_get_cell_type(clist, row, column) gtk_clist_get_cell_type(GTK_CLIST(clist), (row), (column))
#define clist_set_text(clist, row, column, text) gtk_clist_set_text(GTK_CLIST(clist), (row), (column), (text))
#define clist_get_text(clist, row, column, text) gtk_clist_get_text(GTK_CLIST(clist), (row), (column), (text))
#define clist_set_pixmap(clist, row, column, pixmap, mask) gtk_clist_set_pixmap(GTK_CLIST(clist), (row), (column), (pixmap), (mask))
#define clist_get_pixmap(clist, row, column, pixmap, mask) gtk_clist_get_pixmap(GTK_CLIST(clist), (row), (column), (pixmap), (mask))
#define clist_set_pixtext(clist, row, column, text, spacing, pixmap, mask) gtk_clist_set_pixtext(GTK_CLIST(clist), (row), (column), (text), (spacing), (pixmap), (mask))
#define clist_get_pixtext(clist, row, column, text, spacing, pixmap, mask) gtk_clist_get_pixtext(GTK_CLIST(clist), (row), (column), (text), (spacing), (pixmap), (mask))
#define clist_set_foreground(clist, row, color) gtk_clist_set_foreground(GTK_CLIST(clist), (row), (color))
#define clist_set_background(clist, row, color) gtk_clist_set_background(GTK_CLIST(clist), (row), (color))
#define clist_set_cell_style(clist, row, column, style) gtk_clist_set_cell_style(GTK_CLIST(clist), (row), (column), (style))
#define clist_get_cell_style(clist, row, column) gtk_clist_get_cell_style(GTK_CLIST(clist), (row), (column))
#define clist_set_row_style(clist, row, style) gtk_clist_set_row_style(GTK_CLIST(clist), (row), (style))
#define clist_get_row_style(clist, row) gtk_clist_get_row_style(GTK_CLIST(clist), (row))
#define clist_set_shift(clist, row, column, vertical, horizontal) gtk_clist_set_shift(GTK_CLIST(clist), (row), (column), (vertical), (horizontal))
#define clist_set_selectable(clist, row, selectable) gtk_clist_set_selectable(GTK_CLIST(clist), (row), (selectable))
#define clist_get_selectable(clist, row) gtk_clist_get_selectable(GTK_CLIST(clist), (row))
#define clist_prepend(clist, text) gtk_clist_prepend(GTK_CLIST(clist), (text))
#define clist_append(clist, text) gtk_clist_append(GTK_CLIST(clist), (text))
#define clist_insert(clist, row, text) gtk_clist_insert(GTK_CLIST(clist), (row), (text))
#define clist_remove(clist, row) gtk_clist_remove(GTK_CLIST(clist), (row))
#define clist_set_row_data(clist, row, data) gtk_clist_set_row_data(GTK_CLIST(clist), (row), (data))
#define clist_set_row_data_full(clist, row, data, destroy) gtk_clist_set_row_data_full(GTK_CLIST(clist), (row), (data), (destroy))
#define clist_get_row_data(clist, row) gtk_clist_get_row_data(GTK_CLIST(clist), (row))
#define clist_find_row_from_data(clist, data) gtk_clist_find_row_from_data(GTK_CLIST(clist), (data))
#define clist_select_row(clist, row, column) gtk_clist_select_row(GTK_CLIST(clist), (row), (column))
#define clist_unselect_row(clist, row, column) gtk_clist_unselect_row(GTK_CLIST(clist), (row), (column))
#define clist_undo_selection(clist) gtk_clist_undo_selection(GTK_CLIST(clist))
#define clist_clear(clist) gtk_clist_clear(GTK_CLIST(clist))
#define clist_get_selection_info(clist, x, y, row, column) gtk_clist_get_selection_info(GTK_CLIST(clist), (x), (y), (row), (column))
#define clist_select_all(clist) gtk_clist_select_all(GTK_CLIST(clist))
#define clist_unselect_all(clist) gtk_clist_unselect_all(GTK_CLIST(clist))
#define clist_swap_rows(clist, row1, row2) gtk_clist_swap_rows(GTK_CLIST(clist), (row1), (row2))
#define clist_row_move(clist, source_row, dest_row) gtk_clist_row_move(GTK_CLIST(clist), (source_row), (dest_row))
#define clist_set_compare_func(clist, cmp_func) gtk_clist_set_compare_func(GTK_CLIST(clist), (cmp_func))
#define clist_set_sort_column(clist, column) gtk_clist_set_sort_column(GTK_CLIST(clist), (column))
#define clist_set_sort_type(clist, sort_type) gtk_clist_set_sort_type(GTK_CLIST(clist), (sort_type))
#define clist_sort(clist) gtk_clist_sort(GTK_CLIST(clist))
#define clist_set_auto_sort(clist, auto_sort) gtk_clist_set_auto_sort(GTK_CLIST(clist), (auto_sort))
#define color_selection_get_type gtk_color_selection_get_type
#define color_selection_new gtk_color_selection_new
#define color_selection_set_update_policy(colorsel, policy) gtk_color_selection_set_update_policy(GTK_COLOR_SELECTION(colorsel), (policy))
#define color_selection_set_opacity(colorsel, use_opacity) gtk_color_selection_set_opacity(GTK_COLOR_SELECTION(colorsel), (use_opacity))
#define color_selection_set_color(colorsel, color) gtk_color_selection_set_color(GTK_COLOR_SELECTION(colorsel), (color))
#define color_selection_get_color(colorsel, color) gtk_color_selection_get_color(GTK_COLOR_SELECTION(colorsel), (color))
#define color_selection_dialog_get_type gtk_color_selection_dialog_get_type
#define color_selection_dialog_new gtk_color_selection_dialog_new
#define combo_get_type gtk_combo_get_type
#define combo_new gtk_combo_new
#define combo_set_value_in_list(combo, val, ok_if_empty) gtk_combo_set_value_in_list(GTK_COMBO(combo), (val), (ok_if_empty))
#define combo_set_use_arrows(combo, val) gtk_combo_set_use_arrows(GTK_COMBO(combo), (val))
#define combo_set_use_arrows_always(combo, val) gtk_combo_set_use_arrows_always(GTK_COMBO(combo), (val))
#define combo_set_case_sensitive(combo, val) gtk_combo_set_case_sensitive(GTK_COMBO(combo), (val))
#define combo_set_item_string(combo, item, item_value) gtk_combo_set_item_string(GTK_COMBO(combo), GTK_ITEM(item), (item_value))
#define combo_set_popdown_strings(combo, strings) gtk_combo_set_popdown_strings(GTK_COMBO(combo), (strings))
#define combo_disable_activate(combo) gtk_combo_disable_activate(GTK_COMBO(combo))
#define accel_label_accelerator_width gtk_accel_label_accelerator_width
#define container_border_width gtk_container_border_width
#define notebook_current_page gtk_notebook_current_page
#define packer_configure gtk_packer_configure
#define paned_gutter_size gtk_paned_gutter_size
#define paned_handle_size gtk_paned_handle_size
#define scale_value_width gtk_scale_value_width
#define window_position gtk_window_position
#define toggle_button_set_state gtk_toggle_button_set_state
#define check_menu_item_set_state gtk_check_menu_item_set_state
#define container_get_type gtk_container_get_type
#define container_set_border_width(container, border_width) gtk_container_set_border_width(GTK_CONTAINER(container), (border_width))
#define container_add(container, widget) gtk_container_add(GTK_CONTAINER(container), GTK_WIDGET(widget))
#define container_remove(container, widget) gtk_container_remove(GTK_CONTAINER(container), GTK_WIDGET(widget))
#define container_set_resize_mode(container, resize_mode) gtk_container_set_resize_mode(GTK_CONTAINER(container), (resize_mode))
#define container_check_resize(container) gtk_container_check_resize(GTK_CONTAINER(container))
#define container_foreach(container, callback, callback_data) gtk_container_foreach(GTK_CONTAINER(container), (callback), (callback_data))
#define container_foreach_full(container, callback, marshal, callback_data, notify) gtk_container_foreach_full(GTK_CONTAINER(container), (callback), (marshal), (callback_data), (notify))
#define container_children(container) gtk_container_children(GTK_CONTAINER(container))
#define container_focus(container, direction) gtk_container_focus(GTK_CONTAINER(container), (direction))
#define container_set_reallocate_redraws(container, needs_redraws) gtk_container_set_reallocate_redraws(GTK_CONTAINER(container), (needs_redraws))
#define container_set_focus_child(container, child) gtk_container_set_focus_child(GTK_CONTAINER(container), GTK_WIDGET(child))
#define container_set_focus_vadjustment(container, adjustment) gtk_container_set_focus_vadjustment(GTK_CONTAINER(container), GTK_ADJUSTMENT(adjustment))
#define container_set_focus_hadjustment(container, adjustment) gtk_container_set_focus_hadjustment(GTK_CONTAINER(container), GTK_ADJUSTMENT(adjustment))
#define container_register_toplevel(container) gtk_container_register_toplevel(GTK_CONTAINER(container))
#define container_unregister_toplevel(container) gtk_container_unregister_toplevel(GTK_CONTAINER(container))
#define container_get_toplevels gtk_container_get_toplevels
#define container_resize_children(container) gtk_container_resize_children(GTK_CONTAINER(container))
#define container_child_type(container) gtk_container_child_type(GTK_CONTAINER(container))
#define container_add_child_arg_type gtk_container_add_child_arg_type
#define container_query_child_args gtk_container_query_child_args
#define container_child_getv(container, child, n_args, args) gtk_container_child_getv(GTK_CONTAINER(container), GTK_WIDGET(child), (n_args), (args))
#define container_child_setv(container, child, n_args, args) gtk_container_child_setv(GTK_CONTAINER(container), GTK_WIDGET(child), (n_args), (args))
#define container_add_with_args gtk_container_add_with_args
#define container_addv(container, widget, n_args, args) gtk_container_addv(GTK_CONTAINER(container), GTK_WIDGET(widget), (n_args), (args))
#define container_child_set gtk_container_child_set
#define container_queue_resize(container) gtk_container_queue_resize(GTK_CONTAINER(container))
#define container_clear_resize_widgets(container) gtk_container_clear_resize_widgets(GTK_CONTAINER(container))
#define container_arg_set(container, child, arg, info) gtk_container_arg_set(GTK_CONTAINER(container), GTK_WIDGET(child), (arg), (info))
#define container_arg_get(container, child, arg, info) gtk_container_arg_get(GTK_CONTAINER(container), GTK_WIDGET(child), (arg), (info))
#define container_child_args_collect gtk_container_child_args_collect
#define container_child_arg_get_info gtk_container_child_arg_get_info
#define container_forall(container, callback, callback_data) gtk_container_forall(GTK_CONTAINER(container), (callback), (callback_data))
#define container_child_composite_name(container, child) gtk_container_child_composite_name(GTK_CONTAINER(container), GTK_WIDGET(child))
#define container_dequeue_resize_handler(container) gtk_container_dequeue_resize_handler(GTK_CONTAINER(container))
#define ctree_get_type gtk_ctree_get_type
#define ctree_construct(ctree, columns, tree_column, titles) gtk_ctree_construct(GTK_CTREE(ctree), (columns), (tree_column), (titles))
#define ctree_new_with_titles gtk_ctree_new_with_titles
#define ctree_new gtk_ctree_new
#define ctree_insert_node(ctree, parent, sibling, text, spacing, pixmap_closed, mask_closed, pixmap_opened, mask_opened, is_leaf, expanded) gtk_ctree_insert_node(GTK_CTREE(ctree), (parent), (sibling), (text), (spacing), (pixmap_closed), (mask_closed), (pixmap_opened), (mask_opened), (is_leaf), (expanded))
#define ctree_remove_node(ctree, node) gtk_ctree_remove_node(GTK_CTREE(ctree), (node))
#define ctree_insert_gnode(ctree, parent, sibling, gnode, func, data) gtk_ctree_insert_gnode(GTK_CTREE(ctree), (parent), (sibling), (gnode), (func), (data))
#define ctree_export_to_gnode(ctree, parent, sibling, node, func, data) gtk_ctree_export_to_gnode(GTK_CTREE(ctree), (parent), (sibling), (node), (func), (data))
#define ctree_post_recursive(ctree, node, func, data) gtk_ctree_post_recursive(GTK_CTREE(ctree), (node), (func), (data))
#define ctree_post_recursive_to_depth(ctree, node, depth, func, data) gtk_ctree_post_recursive_to_depth(GTK_CTREE(ctree), (node), (depth), (func), (data))
#define ctree_pre_recursive(ctree, node, func, data) gtk_ctree_pre_recursive(GTK_CTREE(ctree), (node), (func), (data))
#define ctree_pre_recursive_to_depth(ctree, node, depth, func, data) gtk_ctree_pre_recursive_to_depth(GTK_CTREE(ctree), (node), (depth), (func), (data))
#define ctree_is_viewable(ctree, node) gtk_ctree_is_viewable(GTK_CTREE(ctree), (node))
#define ctree_last(ctree, node) gtk_ctree_last(GTK_CTREE(ctree), (node))
#define ctree_find_node_ptr(ctree, ctree_row) gtk_ctree_find_node_ptr(GTK_CTREE(ctree), (ctree_row))
#define ctree_node_nth(ctree, row) gtk_ctree_node_nth(GTK_CTREE(ctree), (row))
#define ctree_find(ctree, node, child) gtk_ctree_find(GTK_CTREE(ctree), (node), (child))
#define ctree_is_ancestor(ctree, node, child) gtk_ctree_is_ancestor(GTK_CTREE(ctree), (node), (child))
#define ctree_find_by_row_data(ctree, node, data) gtk_ctree_find_by_row_data(GTK_CTREE(ctree), (node), (data))
#define ctree_find_all_by_row_data(ctree, node, data) gtk_ctree_find_all_by_row_data(GTK_CTREE(ctree), (node), (data))
#define ctree_find_by_row_data_custom(ctree, node, data, func) gtk_ctree_find_by_row_data_custom(GTK_CTREE(ctree), (node), (data), (func))
#define ctree_find_all_by_row_data_custom(ctree, node, data, func) gtk_ctree_find_all_by_row_data_custom(GTK_CTREE(ctree), (node), (data), (func))
#define ctree_is_hot_spot(ctree, x, y) gtk_ctree_is_hot_spot(GTK_CTREE(ctree), (x), (y))
#define ctree_move(ctree, node, new_parent, new_sibling) gtk_ctree_move(GTK_CTREE(ctree), (node), (new_parent), (new_sibling))
#define ctree_expand(ctree, node) gtk_ctree_expand(GTK_CTREE(ctree), (node))
#define ctree_expand_recursive(ctree, node) gtk_ctree_expand_recursive(GTK_CTREE(ctree), (node))
#define ctree_expand_to_depth(ctree, node, depth) gtk_ctree_expand_to_depth(GTK_CTREE(ctree), (node), (depth))
#define ctree_collapse(ctree, node) gtk_ctree_collapse(GTK_CTREE(ctree), (node))
#define ctree_collapse_recursive(ctree, node) gtk_ctree_collapse_recursive(GTK_CTREE(ctree), (node))
#define ctree_collapse_to_depth(ctree, node, depth) gtk_ctree_collapse_to_depth(GTK_CTREE(ctree), (node), (depth))
#define ctree_toggle_expansion(ctree, node) gtk_ctree_toggle_expansion(GTK_CTREE(ctree), (node))
#define ctree_toggle_expansion_recursive(ctree, node) gtk_ctree_toggle_expansion_recursive(GTK_CTREE(ctree), (node))
#define ctree_select(ctree, node) gtk_ctree_select(GTK_CTREE(ctree), (node))
#define ctree_select_recursive(ctree, node) gtk_ctree_select_recursive(GTK_CTREE(ctree), (node))
#define ctree_unselect(ctree, node) gtk_ctree_unselect(GTK_CTREE(ctree), (node))
#define ctree_unselect_recursive(ctree, node) gtk_ctree_unselect_recursive(GTK_CTREE(ctree), (node))
#define ctree_real_select_recursive(ctree, node, state) gtk_ctree_real_select_recursive(GTK_CTREE(ctree), (node), (state))
#define ctree_node_set_text(ctree, node, column, text) gtk_ctree_node_set_text(GTK_CTREE(ctree), (node), (column), (text))
#define ctree_node_set_pixmap(ctree, node, column, pixmap, mask) gtk_ctree_node_set_pixmap(GTK_CTREE(ctree), (node), (column), (pixmap), (mask))
#define ctree_node_set_pixtext(ctree, node, column, text, spacing, pixmap, mask) gtk_ctree_node_set_pixtext(GTK_CTREE(ctree), (node), (column), (text), (spacing), (pixmap), (mask))
#define ctree_set_node_info(ctree, node, text, spacing, pixmap_closed, mask_closed, pixmap_opened, mask_opened, is_leaf, expanded) gtk_ctree_set_node_info(GTK_CTREE(ctree), (node), (text), (spacing), (pixmap_closed), (mask_closed), (pixmap_opened), (mask_opened), (is_leaf), (expanded))
#define ctree_node_set_shift(ctree, node, column, vertical, horizontal) gtk_ctree_node_set_shift(GTK_CTREE(ctree), (node), (column), (vertical), (horizontal))
#define ctree_node_set_selectable(ctree, node, selectable) gtk_ctree_node_set_selectable(GTK_CTREE(ctree), (node), (selectable))
#define ctree_node_get_selectable(ctree, node) gtk_ctree_node_get_selectable(GTK_CTREE(ctree), (node))
#define ctree_node_get_cell_type(ctree, node, column) gtk_ctree_node_get_cell_type(GTK_CTREE(ctree), (node), (column))
#define ctree_node_get_text(ctree, node, column, text) gtk_ctree_node_get_text(GTK_CTREE(ctree), (node), (column), (text))
#define ctree_node_get_pixmap(ctree, node, column, pixmap, mask) gtk_ctree_node_get_pixmap(GTK_CTREE(ctree), (node), (column), (pixmap), (mask))
#define ctree_node_get_pixtext(ctree, node, column, text, spacing, pixmap, mask) gtk_ctree_node_get_pixtext(GTK_CTREE(ctree), (node), (column), (text), (spacing), (pixmap), (mask))
#define ctree_get_node_info(ctree, node, text, spacing, pixmap_closed, mask_closed, pixmap_opened, mask_opened, is_leaf, expanded) gtk_ctree_get_node_info(GTK_CTREE(ctree), (node), (text), (spacing), (pixmap_closed), (mask_closed), (pixmap_opened), (mask_opened), (is_leaf), (expanded))
#define ctree_node_set_row_style(ctree, node, style) gtk_ctree_node_set_row_style(GTK_CTREE(ctree), (node), (style))
#define ctree_node_get_row_style(ctree, node) gtk_ctree_node_get_row_style(GTK_CTREE(ctree), (node))
#define ctree_node_set_cell_style(ctree, node, column, style) gtk_ctree_node_set_cell_style(GTK_CTREE(ctree), (node), (column), (style))
#define ctree_node_get_cell_style(ctree, node, column) gtk_ctree_node_get_cell_style(GTK_CTREE(ctree), (node), (column))
#define ctree_node_set_foreground(ctree, node, color) gtk_ctree_node_set_foreground(GTK_CTREE(ctree), (node), (color))
#define ctree_node_set_background(ctree, node, color) gtk_ctree_node_set_background(GTK_CTREE(ctree), (node), (color))
#define ctree_node_set_row_data(ctree, node, data) gtk_ctree_node_set_row_data(GTK_CTREE(ctree), (node), (data))
#define ctree_node_set_row_data_full(ctree, node, data, destroy) gtk_ctree_node_set_row_data_full(GTK_CTREE(ctree), (node), (data), (destroy))
#define ctree_node_get_row_data(ctree, node) gtk_ctree_node_get_row_data(GTK_CTREE(ctree), (node))
#define ctree_node_moveto(ctree, node, column, row_align, col_align) gtk_ctree_node_moveto(GTK_CTREE(ctree), (node), (column), (row_align), (col_align))
#define ctree_node_is_visible(ctree, node) gtk_ctree_node_is_visible(GTK_CTREE(ctree), (node))
#define ctree_set_indent(ctree, indent) gtk_ctree_set_indent(GTK_CTREE(ctree), (indent))
#define ctree_set_spacing(ctree, spacing) gtk_ctree_set_spacing(GTK_CTREE(ctree), (spacing))
#define ctree_set_show_stub(ctree, show_stub) gtk_ctree_set_show_stub(GTK_CTREE(ctree), (show_stub))
#define ctree_set_line_style(ctree, line_style) gtk_ctree_set_line_style(GTK_CTREE(ctree), (line_style))
#define ctree_set_expander_style(ctree, expander_style) gtk_ctree_set_expander_style(GTK_CTREE(ctree), (expander_style))
#define ctree_set_drag_compare_func(ctree, cmp_func) gtk_ctree_set_drag_compare_func(GTK_CTREE(ctree), (cmp_func))
#define ctree_sort_node(ctree, node) gtk_ctree_sort_node(GTK_CTREE(ctree), (node))
#define ctree_sort_recursive(ctree, node) gtk_ctree_sort_recursive(GTK_CTREE(ctree), (node))
#define curve_get_type gtk_curve_get_type
#define curve_new gtk_curve_new
#define curve_reset(curve) gtk_curve_reset(GTK_CURVE(curve))
#define curve_set_gamma(curve, gamma) gtk_curve_set_gamma(GTK_CURVE(curve), (gamma))
#define curve_set_range(curve, min_x, max_x, min_y, max_y) gtk_curve_set_range(GTK_CURVE(curve), (min_x), (max_x), (min_y), (max_y))
#define curve_get_vector(curve, veclen, vector) gtk_curve_get_vector(GTK_CURVE(curve), (veclen), (vector))
#define curve_set_vector(curve, veclen, vector) gtk_curve_set_vector(GTK_CURVE(curve), (veclen), (vector))
#define curve_set_curve_type(curve, type) gtk_curve_set_curve_type(GTK_CURVE(curve), (type))
#define data_get_type gtk_data_get_type
#define dialog_get_type gtk_dialog_get_type
#define dialog_new gtk_dialog_new
#define drag_get_data(widget, context, target, time) gtk_drag_get_data(GTK_WIDGET(widget), (context), (target), (time))
#define drag_finish gtk_drag_finish
#define drag_get_source_widget gtk_drag_get_source_widget
#define drag_highlight(widget) gtk_drag_highlight(GTK_WIDGET(widget))
#define drag_unhighlight(widget) gtk_drag_unhighlight(GTK_WIDGET(widget))
#define drag_dest_set(widget, flags, targets, n_targets, actions) gtk_drag_dest_set(GTK_WIDGET(widget), (flags), (targets), (n_targets), (actions))
#define drag_dest_set_proxy(widget, proxy_window, protocol, use_coordinates) gtk_drag_dest_set_proxy(GTK_WIDGET(widget), (proxy_window), (protocol), (use_coordinates))
#define drag_dest_unset(widget) gtk_drag_dest_unset(GTK_WIDGET(widget))
#define drag_source_set(widget, start_button_mask, targets, n_targets, actions) gtk_drag_source_set(GTK_WIDGET(widget), (start_button_mask), (targets), (n_targets), (actions))
#define drag_source_unset(widget) gtk_drag_source_unset(GTK_WIDGET(widget))
#define drag_source_set_icon(widget, colormap, pixmap, mask) gtk_drag_source_set_icon(GTK_WIDGET(widget), (colormap), (pixmap), (mask))
#define drag_begin(widget, targets, actions, button, event) gtk_drag_begin(GTK_WIDGET(widget), (targets), (actions), (button), (event))
#define drag_set_icon_widget(context, widget, hot_x, hot_y) gtk_drag_set_icon_widget((context), GTK_WIDGET(widget), (hot_x), (hot_y))
#define drag_set_icon_pixmap gtk_drag_set_icon_pixmap
#define drag_set_icon_default gtk_drag_set_icon_default
#define drag_set_default_icon gtk_drag_set_default_icon
#define drag_source_handle_event(widget, event) gtk_drag_source_handle_event(GTK_WIDGET(widget), (event))
#define drag_dest_handle_event(toplevel, event) gtk_drag_dest_handle_event(GTK_WIDGET(toplevel), (event))
#define drawing_area_get_type gtk_drawing_area_get_type
#define drawing_area_new gtk_drawing_area_new
#define drawing_area_size(darea, width, height) gtk_drawing_area_size(GTK_DRAWING_AREA(darea), (width), (height))
#define editable_get_type gtk_editable_get_type
#define editable_select_region(editable, start, end) gtk_editable_select_region(GTK_EDITABLE(editable), (start), (end))
#define editable_insert_text(editable, new_text, new_text_length, position) gtk_editable_insert_text(GTK_EDITABLE(editable), (new_text), (new_text_length), (position))
#define editable_delete_text(editable, start_pos, end_pos) gtk_editable_delete_text(GTK_EDITABLE(editable), (start_pos), (end_pos))
#define editable_get_chars(editable, start_pos, end_pos) gtk_editable_get_chars(GTK_EDITABLE(editable), (start_pos), (end_pos))
#define editable_cut_clipboard(editable) gtk_editable_cut_clipboard(GTK_EDITABLE(editable))
#define editable_copy_clipboard(editable) gtk_editable_copy_clipboard(GTK_EDITABLE(editable))
#define editable_paste_clipboard(editable) gtk_editable_paste_clipboard(GTK_EDITABLE(editable))
#define editable_claim_selection(editable, claim, time) gtk_editable_claim_selection(GTK_EDITABLE(editable), (claim), (time))
#define editable_delete_selection(editable) gtk_editable_delete_selection(GTK_EDITABLE(editable))
#define editable_changed(editable) gtk_editable_changed(GTK_EDITABLE(editable))
#define editable_set_position(editable, position) gtk_editable_set_position(GTK_EDITABLE(editable), (position))
#define editable_get_position(editable) gtk_editable_get_position(GTK_EDITABLE(editable))
#define editable_set_editable(editable, is_editable) gtk_editable_set_editable(GTK_EDITABLE(editable), (is_editable))
#define entry_get_type gtk_entry_get_type
#define entry_new gtk_entry_new
#define entry_new_with_max_length gtk_entry_new_with_max_length
#define entry_set_text(entry, text) gtk_entry_set_text(GTK_ENTRY(entry), (text))
#define entry_append_text(entry, text) gtk_entry_append_text(GTK_ENTRY(entry), (text))
#define entry_prepend_text(entry, text) gtk_entry_prepend_text(GTK_ENTRY(entry), (text))
#define entry_set_position(entry, position) gtk_entry_set_position(GTK_ENTRY(entry), (position))
#define entry_get_text(entry) gtk_entry_get_text(GTK_ENTRY(entry))
#define entry_select_region(entry, start, end) gtk_entry_select_region(GTK_ENTRY(entry), (start), (end))
#define entry_set_visibility(entry, visible) gtk_entry_set_visibility(GTK_ENTRY(entry), (visible))
#define entry_set_editable(entry, editable) gtk_entry_set_editable(GTK_ENTRY(entry), (editable))
#define entry_set_max_length(entry, max) gtk_entry_set_max_length(GTK_ENTRY(entry), (max))
#define event_box_get_type gtk_event_box_get_type
#define event_box_new gtk_event_box_new
#define file_selection_get_type gtk_file_selection_get_type
#define file_selection_new gtk_file_selection_new
#define file_selection_set_filename(filesel, filename) gtk_file_selection_set_filename(GTK_FILE_SELECTION(filesel), (filename))
#define file_selection_get_filename(filesel) gtk_file_selection_get_filename(GTK_FILE_SELECTION(filesel))
#define file_selection_complete(filesel, pattern) gtk_file_selection_complete(GTK_FILE_SELECTION(filesel), (pattern))
#define file_selection_show_fileop_buttons(filesel) gtk_file_selection_show_fileop_buttons(GTK_FILE_SELECTION(filesel))
#define file_selection_hide_fileop_buttons(filesel) gtk_file_selection_hide_fileop_buttons(GTK_FILE_SELECTION(filesel))
#define fixed_get_type gtk_fixed_get_type
#define fixed_new gtk_fixed_new
#define fixed_put(fixed, widget, x, y) gtk_fixed_put(GTK_FIXED(fixed), GTK_WIDGET(widget), (x), (y))
#define fixed_move(fixed, widget, x, y) gtk_fixed_move(GTK_FIXED(fixed), GTK_WIDGET(widget), (x), (y))
#define font_selection_get_type gtk_font_selection_get_type
#define font_selection_new gtk_font_selection_new
#define font_selection_get_font_name(fontsel) gtk_font_selection_get_font_name(GTK_FONT_SELECTION(fontsel))
#define font_selection_get_font(fontsel) gtk_font_selection_get_font(GTK_FONT_SELECTION(fontsel))
#define font_selection_set_font_name(fontsel, fontname) gtk_font_selection_set_font_name(GTK_FONT_SELECTION(fontsel), (fontname))
#define font_selection_set_filter(fontsel, filter_type, font_type, foundries, weights, slants, setwidths, spacings, charsets) gtk_font_selection_set_filter(GTK_FONT_SELECTION(fontsel), (filter_type), (font_type), (foundries), (weights), (slants), (setwidths), (spacings), (charsets))
#define font_selection_get_preview_text(fontsel) gtk_font_selection_get_preview_text(GTK_FONT_SELECTION(fontsel))
#define font_selection_set_preview_text(fontsel, text) gtk_font_selection_set_preview_text(GTK_FONT_SELECTION(fontsel), (text))
#define font_selection_dialog_get_type gtk_font_selection_dialog_get_type
#define font_selection_dialog_new gtk_font_selection_dialog_new
#define font_selection_dialog_get_font_name(fsd) gtk_font_selection_dialog_get_font_name(GTK_FONT_SELECTION_DIALOG(fsd))
#define font_selection_dialog_get_font(fsd) gtk_font_selection_dialog_get_font(GTK_FONT_SELECTION_DIALOG(fsd))
#define font_selection_dialog_set_font_name(fsd, fontname) gtk_font_selection_dialog_set_font_name(GTK_FONT_SELECTION_DIALOG(fsd), (fontname))
#define font_selection_dialog_set_filter(fsd, filter_type, font_type, foundries, weights, slants, setwidths, spacings, charsets) gtk_font_selection_dialog_set_filter(GTK_FONT_SELECTION_DIALOG(fsd), (filter_type), (font_type), (foundries), (weights), (slants), (setwidths), (spacings), (charsets))
#define font_selection_dialog_get_preview_text(fsd) gtk_font_selection_dialog_get_preview_text(GTK_FONT_SELECTION_DIALOG(fsd))
#define font_selection_dialog_set_preview_text(fsd, text) gtk_font_selection_dialog_set_preview_text(GTK_FONT_SELECTION_DIALOG(fsd), (text))
#define frame_get_type gtk_frame_get_type
#define frame_new gtk_frame_new
#define frame_set_label(frame, label) gtk_frame_set_label(GTK_FRAME(frame), (label))
#define frame_set_label_align(frame, xalign, yalign) gtk_frame_set_label_align(GTK_FRAME(frame), (xalign), (yalign))
#define frame_set_shadow_type(frame, type) gtk_frame_set_shadow_type(GTK_FRAME(frame), (type))
#define gamma_curve_get_type gtk_gamma_curve_get_type
#define gamma_curve_new gtk_gamma_curve_new
#define gc_get gtk_gc_get
#define gc_release gtk_gc_release
#define handle_box_get_type gtk_handle_box_get_type
#define handle_box_new gtk_handle_box_new
#define handle_box_set_shadow_type(handle_box, type) gtk_handle_box_set_shadow_type(GTK_HANDLE_BOX(handle_box), (type))
#define handle_box_set_handle_position(handle_box, position) gtk_handle_box_set_handle_position(GTK_HANDLE_BOX(handle_box), (position))
#define handle_box_set_snap_edge(handle_box, edge) gtk_handle_box_set_snap_edge(GTK_HANDLE_BOX(handle_box), (edge))
#define hbutton_box_get_type gtk_hbutton_box_get_type
#define hbutton_box_new gtk_hbutton_box_new
#define hbutton_box_get_spacing_default gtk_hbutton_box_get_spacing_default
#define hbutton_box_get_layout_default gtk_hbutton_box_get_layout_default
#define hbutton_box_set_spacing_default gtk_hbutton_box_set_spacing_default
#define hbutton_box_set_layout_default gtk_hbutton_box_set_layout_default
#define hbox_get_type gtk_hbox_get_type
#define hbox_new gtk_hbox_new
#define hpaned_get_type gtk_hpaned_get_type
#define hpaned_new gtk_hpaned_new
#define hruler_get_type gtk_hruler_get_type
#define hruler_new gtk_hruler_new
#define hscale_get_type gtk_hscale_get_type
#define hscale_new(adjustment) gtk_hscale_new(GTK_ADJUSTMENT(adjustment))
#define hscrollbar_get_type gtk_hscrollbar_get_type
#define hscrollbar_new(adjustment) gtk_hscrollbar_new(GTK_ADJUSTMENT(adjustment))
#define hseparator_get_type gtk_hseparator_get_type
#define hseparator_new gtk_hseparator_new
#define image_get_type gtk_image_get_type
#define image_new gtk_image_new
#define image_set(image, val, mask) gtk_image_set(GTK_IMAGE(image), (val), (mask))
#define image_get(image, val, mask) gtk_image_get(GTK_IMAGE(image), (val), (mask))
#define input_dialog_get_type gtk_input_dialog_get_type
#define input_dialog_new gtk_input_dialog_new
#define invisible_get_type gtk_invisible_get_type
#define invisible_new gtk_invisible_new
#define item_get_type gtk_item_get_type
#define item_select(item) gtk_item_select(GTK_ITEM(item))
#define item_deselect(item) gtk_item_deselect(GTK_ITEM(item))
#define item_toggle(item) gtk_item_toggle(GTK_ITEM(item))
#define item_factory_get_type gtk_item_factory_get_type
#define item_factory_new gtk_item_factory_new
#define item_factory_construct gtk_item_factory_construct
#define item_factory_parse_rc gtk_item_factory_parse_rc
#define item_factory_parse_rc_string gtk_item_factory_parse_rc_string
#define item_factory_parse_rc_scanner gtk_item_factory_parse_rc_scanner
#define item_factory_add_foreign(accel_widget, full_path, accel_group, keyval, modifiers) gtk_item_factory_add_foreign(GTK_WIDGET(accel_widget), (full_path), (accel_group), (keyval), (modifiers))
#define item_factory_from_widget(widget) gtk_item_factory_from_widget(GTK_WIDGET(widget))
#define item_factory_path_from_widget(widget) gtk_item_factory_path_from_widget(GTK_WIDGET(widget))
#define item_factory_get_item gtk_item_factory_get_item
#define item_factory_get_widget gtk_item_factory_get_widget
#define item_factory_get_widget_by_action gtk_item_factory_get_widget_by_action
#define item_factory_get_item_by_action gtk_item_factory_get_item_by_action
#define item_factory_dump_items gtk_item_factory_dump_items
#define item_factory_dump_rc gtk_item_factory_dump_rc
#define item_factory_print_func gtk_item_factory_print_func
#define item_factory_create_item gtk_item_factory_create_item
#define item_factory_create_items gtk_item_factory_create_items
#define item_factory_delete_item gtk_item_factory_delete_item
#define item_factory_delete_entry gtk_item_factory_delete_entry
#define item_factory_delete_entries gtk_item_factory_delete_entries
#define item_factory_popup gtk_item_factory_popup
#define item_factory_popup_with_data gtk_item_factory_popup_with_data
#define item_factory_popup_data gtk_item_factory_popup_data
#define item_factory_popup_data_from_widget(widget) gtk_item_factory_popup_data_from_widget(GTK_WIDGET(widget))
#define item_factory_set_translate_func gtk_item_factory_set_translate_func
#define item_factory_from_path gtk_item_factory_from_path
#define item_factory_create_menu_entries gtk_item_factory_create_menu_entries
#define item_factories_path_delete gtk_item_factories_path_delete
#define item_factory_create_items_ac gtk_item_factory_create_items_ac
#define label_get_type gtk_label_get_type
#define label_new gtk_label_new
#define label_set_text(label, str) gtk_label_set_text(GTK_LABEL(label), (str))
#define label_set_justify(label, jtype) gtk_label_set_justify(GTK_LABEL(label), (jtype))
#define label_set_pattern(label, pattern) gtk_label_set_pattern(GTK_LABEL(label), (pattern))
#define label_set_line_wrap(label, wrap) gtk_label_set_line_wrap(GTK_LABEL(label), (wrap))
#define label_get(label, str) gtk_label_get(GTK_LABEL(label), (str))
#define label_parse_uline(label, string) gtk_label_parse_uline(GTK_LABEL(label), (string))
#define layout_get_type gtk_layout_get_type
#define layout_new(hadjustment, vadjustment) gtk_layout_new(GTK_ADJUSTMENT(hadjustment), GTK_ADJUSTMENT(vadjustment))
#define layout_put(layout, widget, x, y) gtk_layout_put(GTK_LAYOUT(layout), GTK_WIDGET(widget), (x), (y))
#define layout_move(layout, widget, x, y) gtk_layout_move(GTK_LAYOUT(layout), GTK_WIDGET(widget), (x), (y))
#define layout_set_size(layout, width, height) gtk_layout_set_size(GTK_LAYOUT(layout), (width), (height))
#define layout_get_hadjustment(layout) gtk_layout_get_hadjustment(GTK_LAYOUT(layout))
#define layout_get_vadjustment(layout) gtk_layout_get_vadjustment(GTK_LAYOUT(layout))
#define layout_set_hadjustment(layout, adjustment) gtk_layout_set_hadjustment(GTK_LAYOUT(layout), GTK_ADJUSTMENT(adjustment))
#define layout_set_vadjustment(layout, adjustment) gtk_layout_set_vadjustment(GTK_LAYOUT(layout), GTK_ADJUSTMENT(adjustment))
#define layout_freeze(layout) gtk_layout_freeze(GTK_LAYOUT(layout))
#define layout_thaw(layout) gtk_layout_thaw(GTK_LAYOUT(layout))
#define list_get_type gtk_list_get_type
#define list_new gtk_list_new
#define list_insert_items(list, items, position) gtk_list_insert_items(GTK_LIST(list), (items), (position))
#define list_append_items(list, items) gtk_list_append_items(GTK_LIST(list), (items))
#define list_prepend_items(list, items) gtk_list_prepend_items(GTK_LIST(list), (items))
#define list_remove_items(list, items) gtk_list_remove_items(GTK_LIST(list), (items))
#define list_remove_items_no_unref(list, items) gtk_list_remove_items_no_unref(GTK_LIST(list), (items))
#define list_clear_items(list, start, end) gtk_list_clear_items(GTK_LIST(list), (start), (end))
#define list_select_item(list, item) gtk_list_select_item(GTK_LIST(list), (item))
#define list_unselect_item(list, item) gtk_list_unselect_item(GTK_LIST(list), (item))
#define list_select_child(list, child) gtk_list_select_child(GTK_LIST(list), GTK_WIDGET(child))
#define list_unselect_child(list, child) gtk_list_unselect_child(GTK_LIST(list), GTK_WIDGET(child))
#define list_child_position(list, child) gtk_list_child_position(GTK_LIST(list), GTK_WIDGET(child))
#define list_set_selection_mode(list, mode) gtk_list_set_selection_mode(GTK_LIST(list), (mode))
#define list_extend_selection(list, scroll_type, position, auto_start_selection) gtk_list_extend_selection(GTK_LIST(list), (scroll_type), (position), (auto_start_selection))
#define list_start_selection(list) gtk_list_start_selection(GTK_LIST(list))
#define list_end_selection(list) gtk_list_end_selection(GTK_LIST(list))
#define list_select_all(list) gtk_list_select_all(GTK_LIST(list))
#define list_unselect_all(list) gtk_list_unselect_all(GTK_LIST(list))
#define list_scroll_horizontal(list, scroll_type, position) gtk_list_scroll_horizontal(GTK_LIST(list), (scroll_type), (position))
#define list_scroll_vertical(list, scroll_type, position) gtk_list_scroll_vertical(GTK_LIST(list), (scroll_type), (position))
#define list_toggle_add_mode(list) gtk_list_toggle_add_mode(GTK_LIST(list))
#define list_toggle_focus_row(list) gtk_list_toggle_focus_row(GTK_LIST(list))
#define list_toggle_row(list, item) gtk_list_toggle_row(GTK_LIST(list), GTK_WIDGET(item))
#define list_undo_selection(list) gtk_list_undo_selection(GTK_LIST(list))
#define list_end_drag_selection(list) gtk_list_end_drag_selection(GTK_LIST(list))
#define list_item_get_type gtk_list_item_get_type
#define list_item_new gtk_list_item_new
#define list_item_new_with_label gtk_list_item_new_with_label
#define list_item_select(list_item) gtk_list_item_select(GTK_LIST_ITEM(list_item))
#define list_item_deselect(list_item) gtk_list_item_deselect(GTK_LIST_ITEM(list_item))
#define menu_get_type gtk_menu_get_type
#define menu_new gtk_menu_new
#define menu_append(menu, child) gtk_menu_append(GTK_MENU(menu), GTK_WIDGET(child))
#define menu_prepend(menu, child) gtk_menu_prepend(GTK_MENU(menu), GTK_WIDGET(child))
#define menu_insert(menu, child, position) gtk_menu_insert(GTK_MENU(menu), GTK_WIDGET(child), (position))
#define menu_popup(menu, parent_menu_shell, parent_menu_item, func, data, button, activate_time) gtk_menu_popup(GTK_MENU(menu), GTK_WIDGET(parent_menu_shell), GTK_WIDGET(parent_menu_item), (func), (data), (button), (activate_time))
#define menu_reposition(menu) gtk_menu_reposition(GTK_MENU(menu))
#define menu_popdown(menu) gtk_menu_popdown(GTK_MENU(menu))
#define menu_get_active(menu) gtk_menu_get_active(GTK_MENU(menu))
#define menu_set_active(menu, index) gtk_menu_set_active(GTK_MENU(menu), (index))
#define menu_set_accel_group(menu, accel_group) gtk_menu_set_accel_group(GTK_MENU(menu), (accel_group))
#define menu_get_accel_group(menu) gtk_menu_get_accel_group(GTK_MENU(menu))
#define menu_get_uline_accel_group(menu) gtk_menu_get_uline_accel_group(GTK_MENU(menu))
#define menu_ensure_uline_accel_group(menu) gtk_menu_ensure_uline_accel_group(GTK_MENU(menu))
#define menu_attach_to_widget(menu, attach_widget, detacher) gtk_menu_attach_to_widget(GTK_MENU(menu), GTK_WIDGET(attach_widget), (detacher))
#define menu_detach(menu) gtk_menu_detach(GTK_MENU(menu))
#define menu_get_attach_widget(menu) gtk_menu_get_attach_widget(GTK_MENU(menu))
#define menu_set_tearoff_state(menu, torn_off) gtk_menu_set_tearoff_state(GTK_MENU(menu), (torn_off))
#define menu_set_title(menu, title) gtk_menu_set_title(GTK_MENU(menu), (title))
#define menu_reorder_child(menu, child, position) gtk_menu_reorder_child(GTK_MENU(menu), GTK_WIDGET(child), (position))
#define menu_bar_get_type gtk_menu_bar_get_type
#define menu_bar_new gtk_menu_bar_new
#define menu_bar_append(menu_bar, child) gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), GTK_WIDGET(child))
#define menu_bar_prepend(menu_bar, child) gtk_menu_bar_prepend(GTK_MENU_BAR(menu_bar), GTK_WIDGET(child))
#define menu_bar_insert(menu_bar, child, position) gtk_menu_bar_insert(GTK_MENU_BAR(menu_bar), GTK_WIDGET(child), (position))
#define menu_bar_set_shadow_type(menu_bar, type) gtk_menu_bar_set_shadow_type(GTK_MENU_BAR(menu_bar), (type))
#define menu_factory_new gtk_menu_factory_new
#define menu_factory_destroy gtk_menu_factory_destroy
#define menu_factory_add_entries gtk_menu_factory_add_entries
#define menu_factory_add_subfactory gtk_menu_factory_add_subfactory
#define menu_factory_remove_paths gtk_menu_factory_remove_paths
#define menu_factory_remove_entries gtk_menu_factory_remove_entries
#define menu_factory_remove_subfactory gtk_menu_factory_remove_subfactory
#define menu_factory_find gtk_menu_factory_find
#define menu_item_get_type gtk_menu_item_get_type
#define menu_item_new gtk_menu_item_new
#define menu_item_new_with_label gtk_menu_item_new_with_label
#define menu_item_set_submenu(menu_item, submenu) gtk_menu_item_set_submenu(GTK_MENU_ITEM(menu_item), GTK_WIDGET(submenu))
#define menu_item_remove_submenu(menu_item) gtk_menu_item_remove_submenu(GTK_MENU_ITEM(menu_item))
#define menu_item_set_placement(menu_item, placement) gtk_menu_item_set_placement(GTK_MENU_ITEM(menu_item), (placement))
#define menu_item_configure(menu_item, show_toggle_indicator, show_submenu_indicator) gtk_menu_item_configure(GTK_MENU_ITEM(menu_item), (show_toggle_indicator), (show_submenu_indicator))
#define menu_item_select(menu_item) gtk_menu_item_select(GTK_MENU_ITEM(menu_item))
#define menu_item_deselect(menu_item) gtk_menu_item_deselect(GTK_MENU_ITEM(menu_item))
#define menu_item_activate(menu_item) gtk_menu_item_activate(GTK_MENU_ITEM(menu_item))
#define menu_item_right_justify(menu_item) gtk_menu_item_right_justify(GTK_MENU_ITEM(menu_item))
#define menu_shell_get_type gtk_menu_shell_get_type
#define menu_shell_append(menu_shell, child) gtk_menu_shell_append(GTK_MENU_SHELL(menu_shell), GTK_WIDGET(child))
#define menu_shell_prepend(menu_shell, child) gtk_menu_shell_prepend(GTK_MENU_SHELL(menu_shell), GTK_WIDGET(child))
#define menu_shell_insert(menu_shell, child, position) gtk_menu_shell_insert(GTK_MENU_SHELL(menu_shell), GTK_WIDGET(child), (position))
#define menu_shell_deactivate(menu_shell) gtk_menu_shell_deactivate(GTK_MENU_SHELL(menu_shell))
#define menu_shell_select_item(menu_shell, menu_item) gtk_menu_shell_select_item(GTK_MENU_SHELL(menu_shell), GTK_WIDGET(menu_item))
#define menu_shell_deselect(menu_shell) gtk_menu_shell_deselect(GTK_MENU_SHELL(menu_shell))
#define menu_shell_activate_item(menu_shell, menu_item, force_deactivate) gtk_menu_shell_activate_item(GTK_MENU_SHELL(menu_shell), GTK_WIDGET(menu_item), (force_deactivate))
#define misc_get_type gtk_misc_get_type
#define misc_set_alignment(misc, xalign, yalign) gtk_misc_set_alignment(GTK_MISC(misc), (xalign), (yalign))
#define misc_set_padding(misc, xpad, ypad) gtk_misc_set_padding(GTK_MISC(misc), (xpad), (ypad))
#define notebook_get_type gtk_notebook_get_type
#define notebook_new gtk_notebook_new
#define notebook_append_page(notebook, child, tab_label) gtk_notebook_append_page(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label))
#define notebook_append_page_menu(notebook, child, tab_label, menu_label) gtk_notebook_append_page_menu(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label), GTK_WIDGET(menu_label))
#define notebook_prepend_page(notebook, child, tab_label) gtk_notebook_prepend_page(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label))
#define notebook_prepend_page_menu(notebook, child, tab_label, menu_label) gtk_notebook_prepend_page_menu(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label), GTK_WIDGET(menu_label))
#define notebook_insert_page(notebook, child, tab_label, position) gtk_notebook_insert_page(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label), (position))
#define notebook_insert_page_menu(notebook, child, tab_label, menu_label, position) gtk_notebook_insert_page_menu(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label), GTK_WIDGET(menu_label), (position))
#define notebook_remove_page(notebook, page_num) gtk_notebook_remove_page(GTK_NOTEBOOK(notebook), (page_num))
#define notebook_get_current_page(notebook) gtk_notebook_get_current_page(GTK_NOTEBOOK(notebook))
#define notebook_get_nth_page(notebook, page_num) gtk_notebook_get_nth_page(GTK_NOTEBOOK(notebook), (page_num))
#define notebook_page_num(notebook, child) gtk_notebook_page_num(GTK_NOTEBOOK(notebook), GTK_WIDGET(child))
#define notebook_set_page(notebook, page_num) gtk_notebook_set_page(GTK_NOTEBOOK(notebook), (page_num))
#define notebook_next_page(notebook) gtk_notebook_next_page(GTK_NOTEBOOK(notebook))
#define notebook_prev_page(notebook) gtk_notebook_prev_page(GTK_NOTEBOOK(notebook))
#define notebook_set_show_border(notebook, show_border) gtk_notebook_set_show_border(GTK_NOTEBOOK(notebook), (show_border))
#define notebook_set_show_tabs(notebook, show_tabs) gtk_notebook_set_show_tabs(GTK_NOTEBOOK(notebook), (show_tabs))
#define notebook_set_tab_pos(notebook, pos) gtk_notebook_set_tab_pos(GTK_NOTEBOOK(notebook), (pos))
#define notebook_set_homogeneous_tabs(notebook, homogeneous) gtk_notebook_set_homogeneous_tabs(GTK_NOTEBOOK(notebook), (homogeneous))
#define notebook_set_tab_border(notebook, border_width) gtk_notebook_set_tab_border(GTK_NOTEBOOK(notebook), (border_width))
#define notebook_set_tab_hborder(notebook, tab_hborder) gtk_notebook_set_tab_hborder(GTK_NOTEBOOK(notebook), (tab_hborder))
#define notebook_set_tab_vborder(notebook, tab_vborder) gtk_notebook_set_tab_vborder(GTK_NOTEBOOK(notebook), (tab_vborder))
#define notebook_set_scrollable(notebook, scrollable) gtk_notebook_set_scrollable(GTK_NOTEBOOK(notebook), (scrollable))
#define notebook_popup_enable(notebook) gtk_notebook_popup_enable(GTK_NOTEBOOK(notebook))
#define notebook_popup_disable(notebook) gtk_notebook_popup_disable(GTK_NOTEBOOK(notebook))
#define notebook_get_tab_label(notebook, child) gtk_notebook_get_tab_label(GTK_NOTEBOOK(notebook), GTK_WIDGET(child))
#define notebook_set_tab_label(notebook, child, tab_label) gtk_notebook_set_tab_label(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(tab_label))
#define notebook_set_tab_label_text(notebook, child, tab_text) gtk_notebook_set_tab_label_text(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), (tab_text))
#define notebook_get_menu_label(notebook, child) gtk_notebook_get_menu_label(GTK_NOTEBOOK(notebook), GTK_WIDGET(child))
#define notebook_set_menu_label(notebook, child, menu_label) gtk_notebook_set_menu_label(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), GTK_WIDGET(menu_label))
#define notebook_set_menu_label_text(notebook, child, menu_text) gtk_notebook_set_menu_label_text(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), (menu_text))
#define notebook_query_tab_label_packing(notebook, child, expand, fill, pack_type) gtk_notebook_query_tab_label_packing(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), (expand), (fill), (pack_type))
#define notebook_set_tab_label_packing(notebook, child, expand, fill, pack_type) gtk_notebook_set_tab_label_packing(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), (expand), (fill), (pack_type))
#define notebook_reorder_child(notebook, child, position) gtk_notebook_reorder_child(GTK_NOTEBOOK(notebook), GTK_WIDGET(child), (position))
#define object_get_type gtk_object_get_type
#define object_class_user_signal_new gtk_object_class_user_signal_new
#define object_class_user_signal_newv gtk_object_class_user_signal_newv
#define object_new gtk_object_new
#define object_newv gtk_object_newv
#define object_default_construct(object) gtk_object_default_construct(GTK_OBJECT(object))
#define object_constructed(object) gtk_object_constructed(GTK_OBJECT(object))
#define object_sink(object) gtk_object_sink(GTK_OBJECT(object))
#define object_ref(object) gtk_object_ref(GTK_OBJECT(object))
#define object_unref(object) gtk_object_unref(GTK_OBJECT(object))
#define object_weakref(object, notify, data) gtk_object_weakref(GTK_OBJECT(object), (notify), (data))
#define object_weakunref(object, notify, data) gtk_object_weakunref(GTK_OBJECT(object), (notify), (data))
#define object_destroy(object) gtk_object_destroy(GTK_OBJECT(object))
#define object_getv(object, n_args, args) gtk_object_getv(GTK_OBJECT(object), (n_args), (args))
#define object_get gtk_object_get
#define object_set gtk_object_set
#define object_setv(object, n_args, args) gtk_object_setv(GTK_OBJECT(object), (n_args), (args))
#define object_query_args gtk_object_query_args
#define object_set_data(object, key, data) gtk_object_set_data(GTK_OBJECT(object), (key), (data))
#define object_set_data_full(object, key, data, destroy) gtk_object_set_data_full(GTK_OBJECT(object), (key), (data), (destroy))
#define object_remove_data(object, key) gtk_object_remove_data(GTK_OBJECT(object), (key))
#define object_get_data(object, key) gtk_object_get_data(GTK_OBJECT(object), (key))
#define object_remove_no_notify(object, key) gtk_object_remove_no_notify(GTK_OBJECT(object), (key))
#define object_set_user_data(object, data) gtk_object_set_user_data(GTK_OBJECT(object), (data))
#define object_get_user_data(object) gtk_object_get_user_data(GTK_OBJECT(object))
#define object_class_add_signals gtk_object_class_add_signals
#define object_add_arg_type gtk_object_add_arg_type
#define object_set_data_by_id(object, data_id, data) gtk_object_set_data_by_id(GTK_OBJECT(object), (data_id), (data))
#define object_set_data_by_id_full(object, data_id, data, destroy) gtk_object_set_data_by_id_full(GTK_OBJECT(object), (data_id), (data), (destroy))
#define object_get_data_by_id(object, data_id) gtk_object_get_data_by_id(GTK_OBJECT(object), (data_id))
#define object_remove_data_by_id(object, data_id) gtk_object_remove_data_by_id(GTK_OBJECT(object), (data_id))
#define object_remove_no_notify_by_id(object, key_id) gtk_object_remove_no_notify_by_id(GTK_OBJECT(object), (key_id))
#define object_arg_set(object, arg, info) gtk_object_arg_set(GTK_OBJECT(object), (arg), (info))
#define object_arg_get(object, arg, info) gtk_object_arg_get(GTK_OBJECT(object), (arg), (info))
#define object_args_collect gtk_object_args_collect
#define object_arg_get_info gtk_object_arg_get_info
#define trace_referencing(object, func, dummy, line, do_ref) gtk_trace_referencing(GTK_OBJECT(object), (func), (dummy), (line), (do_ref))
#define option_menu_get_type gtk_option_menu_get_type
#define option_menu_new gtk_option_menu_new
#define option_menu_get_menu(option_menu) gtk_option_menu_get_menu(GTK_OPTION_MENU(option_menu))
#define option_menu_set_menu(option_menu, menu) gtk_option_menu_set_menu(GTK_OPTION_MENU(option_menu), GTK_WIDGET(menu))
#define option_menu_remove_menu(option_menu) gtk_option_menu_remove_menu(GTK_OPTION_MENU(option_menu))
#define option_menu_set_history(option_menu, index) gtk_option_menu_set_history(GTK_OPTION_MENU(option_menu), (index))
#define packer_get_type gtk_packer_get_type
#define packer_new gtk_packer_new
#define packer_add_defaults(packer, child, side, anchor, options) gtk_packer_add_defaults(GTK_PACKER(packer), GTK_WIDGET(child), (side), (anchor), (options))
#define packer_add(packer, child, side, anchor, options, border_width, pad_x, pad_y, i_pad_x, i_pad_y) gtk_packer_add(GTK_PACKER(packer), GTK_WIDGET(child), (side), (anchor), (options), (border_width), (pad_x), (pad_y), (i_pad_x), (i_pad_y))
#define packer_set_child_packing(packer, child, side, anchor, options, border_width, pad_x, pad_y, i_pad_x, i_pad_y) gtk_packer_set_child_packing(GTK_PACKER(packer), GTK_WIDGET(child), (side), (anchor), (options), (border_width), (pad_x), (pad_y), (i_pad_x), (i_pad_y))
#define packer_reorder_child(packer, child, position) gtk_packer_reorder_child(GTK_PACKER(packer), GTK_WIDGET(child), (position))
#define packer_set_spacing(packer, spacing) gtk_packer_set_spacing(GTK_PACKER(packer), (spacing))
#define packer_set_default_border_width(packer, border) gtk_packer_set_default_border_width(GTK_PACKER(packer), (border))
#define packer_set_default_pad(packer, pad_x, pad_y) gtk_packer_set_default_pad(GTK_PACKER(packer), (pad_x), (pad_y))
#define packer_set_default_ipad(packer, i_pad_x, i_pad_y) gtk_packer_set_default_ipad(GTK_PACKER(packer), (i_pad_x), (i_pad_y))
#define paned_get_type gtk_paned_get_type
#define paned_add1(paned, child) gtk_paned_add1(GTK_PANED(paned), GTK_WIDGET(child))
#define paned_add2(paned, child) gtk_paned_add2(GTK_PANED(paned), GTK_WIDGET(child))
#define paned_pack1(paned, child, resize, shrink) gtk_paned_pack1(GTK_PANED(paned), GTK_WIDGET(child), (resize), (shrink))
#define paned_pack2(paned, child, resize, shrink) gtk_paned_pack2(GTK_PANED(paned), GTK_WIDGET(child), (resize), (shrink))
#define paned_set_position(paned, position) gtk_paned_set_position(GTK_PANED(paned), (position))
#define paned_set_handle_size(paned, size) gtk_paned_set_handle_size(GTK_PANED(paned), (size))
#define paned_set_gutter_size(paned, size) gtk_paned_set_gutter_size(GTK_PANED(paned), (size))
#define paned_compute_position(paned, allocation, child1_req, child2_req) gtk_paned_compute_position(GTK_PANED(paned), (allocation), (child1_req), (child2_req))
#define pixmap_get_type gtk_pixmap_get_type
#define pixmap_new gtk_pixmap_new
#define pixmap_set(pixmap, val, mask) gtk_pixmap_set(GTK_PIXMAP(pixmap), (val), (mask))
#define pixmap_get(pixmap, val, mask) gtk_pixmap_get(GTK_PIXMAP(pixmap), (val), (mask))
#define pixmap_set_build_insensitive(pixmap, build) gtk_pixmap_set_build_insensitive(GTK_PIXMAP(pixmap), (build))
#define plug_get_type gtk_plug_get_type
#define plug_construct(plug, socket_id) gtk_plug_construct(GTK_PLUG(plug), (socket_id))
#define plug_new gtk_plug_new
#define preview_get_type gtk_preview_get_type
#define preview_uninit gtk_preview_uninit
#define preview_new gtk_preview_new
#define preview_size(preview, width, height) gtk_preview_size(GTK_PREVIEW(preview), (width), (height))
#define preview_put(preview, window, gc, srcx, srcy, destx, desty, width, height) gtk_preview_put(GTK_PREVIEW(preview), (window), (gc), (srcx), (srcy), (destx), (desty), (width), (height))
#define preview_draw_row(preview, data, x, y, w) gtk_preview_draw_row(GTK_PREVIEW(preview), (data), (x), (y), (w))
#define preview_set_expand(preview, expand) gtk_preview_set_expand(GTK_PREVIEW(preview), (expand))
#define preview_set_gamma gtk_preview_set_gamma
#define preview_set_color_cube gtk_preview_set_color_cube
#define preview_set_install_cmap gtk_preview_set_install_cmap
#define preview_set_reserved gtk_preview_set_reserved
#define preview_set_dither(preview, dither) gtk_preview_set_dither(GTK_PREVIEW(preview), (dither))
#define preview_get_visual gtk_preview_get_visual
#define preview_get_cmap gtk_preview_get_cmap
#define preview_get_info gtk_preview_get_info
#define preview_reset gtk_preview_reset
#define progress_get_type gtk_progress_get_type
#define progress_set_show_text(progress, show_text) gtk_progress_set_show_text(GTK_PROGRESS(progress), (show_text))
#define progress_set_text_alignment(progress, x_align, y_align) gtk_progress_set_text_alignment(GTK_PROGRESS(progress), (x_align), (y_align))
#define progress_set_format_string(progress, format) gtk_progress_set_format_string(GTK_PROGRESS(progress), (format))
#define progress_set_adjustment(progress, adjustment) gtk_progress_set_adjustment(GTK_PROGRESS(progress), GTK_ADJUSTMENT(adjustment))
#define progress_configure(progress, value, min, max) gtk_progress_configure(GTK_PROGRESS(progress), (value), (min), (max))
#define progress_set_percentage(progress, percentage) gtk_progress_set_percentage(GTK_PROGRESS(progress), (percentage))
#define progress_set_value(progress, value) gtk_progress_set_value(GTK_PROGRESS(progress), (value))
#define progress_get_value(progress) gtk_progress_get_value(GTK_PROGRESS(progress))
#define progress_set_activity_mode(progress, activity_mode) gtk_progress_set_activity_mode(GTK_PROGRESS(progress), (activity_mode))
#define progress_get_current_text(progress) gtk_progress_get_current_text(GTK_PROGRESS(progress))
#define progress_get_text_from_value(progress, value) gtk_progress_get_text_from_value(GTK_PROGRESS(progress), (value))
#define progress_get_current_percentage(progress) gtk_progress_get_current_percentage(GTK_PROGRESS(progress))
#define progress_get_percentage_from_value(progress, value) gtk_progress_get_percentage_from_value(GTK_PROGRESS(progress), (value))
#define progress_bar_get_type gtk_progress_bar_get_type
#define progress_bar_new gtk_progress_bar_new
#define progress_bar_new_with_adjustment(adjustment) gtk_progress_bar_new_with_adjustment(GTK_ADJUSTMENT(adjustment))
#define progress_bar_set_bar_style(pbar, style) gtk_progress_bar_set_bar_style(GTK_PROGRESS_BAR(pbar), (style))
#define progress_bar_set_discrete_blocks(pbar, blocks) gtk_progress_bar_set_discrete_blocks(GTK_PROGRESS_BAR(pbar), (blocks))
#define progress_bar_set_activity_step(pbar, step) gtk_progress_bar_set_activity_step(GTK_PROGRESS_BAR(pbar), (step))
#define progress_bar_set_activity_blocks(pbar, blocks) gtk_progress_bar_set_activity_blocks(GTK_PROGRESS_BAR(pbar), (blocks))
#define progress_bar_set_orientation(pbar, orientation) gtk_progress_bar_set_orientation(GTK_PROGRESS_BAR(pbar), (orientation))
#define progress_bar_update(pbar, percentage) gtk_progress_bar_update(GTK_PROGRESS_BAR(pbar), (percentage))
#define radio_button_get_type gtk_radio_button_get_type
#define radio_button_new gtk_radio_button_new
#define radio_button_new_from_widget(group) gtk_radio_button_new_from_widget(GTK_RADIO_BUTTON(group))
#define radio_button_new_with_label gtk_radio_button_new_with_label
#define radio_button_new_with_label_from_widget(group, label) gtk_radio_button_new_with_label_from_widget(GTK_RADIO_BUTTON(group), (label))
#define radio_button_group(radio_button) gtk_radio_button_group(GTK_RADIO_BUTTON(radio_button))
#define radio_button_set_group(radio_button, group) gtk_radio_button_set_group(GTK_RADIO_BUTTON(radio_button), (group))
#define radio_menu_item_get_type gtk_radio_menu_item_get_type
#define radio_menu_item_new gtk_radio_menu_item_new
#define radio_menu_item_new_with_label gtk_radio_menu_item_new_with_label
#define radio_menu_item_group(radio_menu_item) gtk_radio_menu_item_group(GTK_RADIO_MENU_ITEM(radio_menu_item))
#define radio_menu_item_set_group(radio_menu_item, group) gtk_radio_menu_item_set_group(GTK_RADIO_MENU_ITEM(radio_menu_item), (group))
#define range_get_type gtk_range_get_type
#define range_get_adjustment(range) gtk_range_get_adjustment(GTK_RANGE(range))
#define range_set_update_policy(range, policy) gtk_range_set_update_policy(GTK_RANGE(range), (policy))
#define range_set_adjustment(range, adjustment) gtk_range_set_adjustment(GTK_RANGE(range), GTK_ADJUSTMENT(adjustment))
#define range_draw_background(range) gtk_range_draw_background(GTK_RANGE(range))
#define range_clear_background(range) gtk_range_clear_background(GTK_RANGE(range))
#define range_draw_trough(range) gtk_range_draw_trough(GTK_RANGE(range))
#define range_draw_slider(range) gtk_range_draw_slider(GTK_RANGE(range))
#define range_draw_step_forw(range) gtk_range_draw_step_forw(GTK_RANGE(range))
#define range_draw_step_back(range) gtk_range_draw_step_back(GTK_RANGE(range))
#define range_slider_update(range) gtk_range_slider_update(GTK_RANGE(range))
#define range_trough_click(range, x, y, jump_perc) gtk_range_trough_click(GTK_RANGE(range), (x), (y), (jump_perc))
#define range_default_hslider_update(range) gtk_range_default_hslider_update(GTK_RANGE(range))
#define range_default_vslider_update(range) gtk_range_default_vslider_update(GTK_RANGE(range))
#define range_default_htrough_click(range, x, y, jump_perc) gtk_range_default_htrough_click(GTK_RANGE(range), (x), (y), (jump_perc))
#define range_default_vtrough_click(range, x, y, jump_perc) gtk_range_default_vtrough_click(GTK_RANGE(range), (x), (y), (jump_perc))
#define range_default_hmotion(range, xdelta, ydelta) gtk_range_default_hmotion(GTK_RANGE(range), (xdelta), (ydelta))
#define range_default_vmotion(range, xdelta, ydelta) gtk_range_default_vmotion(GTK_RANGE(range), (xdelta), (ydelta))
#define rc_init gtk_rc_init
#define rc_add_default_file gtk_rc_add_default_file
#define rc_set_default_files gtk_rc_set_default_files
#define rc_get_default_files gtk_rc_get_default_files
#define rc_parse gtk_rc_parse
#define rc_parse_string gtk_rc_parse_string
#define rc_reparse_all gtk_rc_reparse_all
#define rc_get_style(widget) gtk_rc_get_style(GTK_WIDGET(widget))
#define rc_add_widget_name_style gtk_rc_add_widget_name_style
#define rc_add_widget_class_style gtk_rc_add_widget_class_style
#define rc_add_class_style gtk_rc_add_class_style
#define rc_style_new gtk_rc_style_new
#define rc_style_ref gtk_rc_style_ref
#define rc_style_unref gtk_rc_style_unref
#define rc_set_image_loader gtk_rc_set_image_loader
#define rc_load_image gtk_rc_load_image
#define rc_find_pixmap_in_path gtk_rc_find_pixmap_in_path
#define rc_find_module_in_path gtk_rc_find_module_in_path
#define rc_get_theme_dir gtk_rc_get_theme_dir
#define rc_get_module_dir gtk_rc_get_module_dir
#define rc_parse_color gtk_rc_parse_color
#define rc_parse_state gtk_rc_parse_state
#define rc_parse_priority gtk_rc_parse_priority
#define ruler_get_type gtk_ruler_get_type
#define ruler_set_metric(ruler, metric) gtk_ruler_set_metric(GTK_RULER(ruler), (metric))
#define ruler_set_range(ruler, lower, upper, position, max_size) gtk_ruler_set_range(GTK_RULER(ruler), (lower), (upper), (position), (max_size))
#define ruler_draw_ticks(ruler) gtk_ruler_draw_ticks(GTK_RULER(ruler))
#define ruler_draw_pos(ruler) gtk_ruler_draw_pos(GTK_RULER(ruler))
#define scale_get_type gtk_scale_get_type
#define scale_set_digits(scale, digits) gtk_scale_set_digits(GTK_SCALE(scale), (digits))
#define scale_set_draw_value(scale, draw_value) gtk_scale_set_draw_value(GTK_SCALE(scale), (draw_value))
#define scale_set_value_pos(scale, pos) gtk_scale_set_value_pos(GTK_SCALE(scale), (pos))
#define scale_get_value_width(scale) gtk_scale_get_value_width(GTK_SCALE(scale))
#define scale_draw_value(scale) gtk_scale_draw_value(GTK_SCALE(scale))
#define scrollbar_get_type gtk_scrollbar_get_type
#define scrolled_window_get_type gtk_scrolled_window_get_type
#define scrolled_window_new(hadjustment, vadjustment) gtk_scrolled_window_new(GTK_ADJUSTMENT(hadjustment), GTK_ADJUSTMENT(vadjustment))
#define scrolled_window_set_hadjustment(scrolled_window, hadjustment) gtk_scrolled_window_set_hadjustment(GTK_SCROLLED_WINDOW(scrolled_window), GTK_ADJUSTMENT(hadjustment))
#define scrolled_window_set_vadjustment(scrolled_window, hadjustment) gtk_scrolled_window_set_vadjustment(GTK_SCROLLED_WINDOW(scrolled_window), GTK_ADJUSTMENT(hadjustment))
#define scrolled_window_get_hadjustment(scrolled_window) gtk_scrolled_window_get_hadjustment(GTK_SCROLLED_WINDOW(scrolled_window))
#define scrolled_window_get_vadjustment(scrolled_window) gtk_scrolled_window_get_vadjustment(GTK_SCROLLED_WINDOW(scrolled_window))
#define scrolled_window_set_policy(scrolled_window, hscrollbar_policy, vscrollbar_policy) gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scrolled_window), (hscrollbar_policy), (vscrollbar_policy))
#define scrolled_window_set_placement(scrolled_window, window_placement) gtk_scrolled_window_set_placement(GTK_SCROLLED_WINDOW(scrolled_window), (window_placement))
#define scrolled_window_add_with_viewport(scrolled_window, child) gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrolled_window), GTK_WIDGET(child))
#define target_list_new gtk_target_list_new
#define target_list_ref gtk_target_list_ref
#define target_list_unref gtk_target_list_unref
#define target_list_add gtk_target_list_add
#define target_list_add_table gtk_target_list_add_table
#define target_list_remove gtk_target_list_remove
#define target_list_find gtk_target_list_find
#define selection_owner_set(widget, selection, time) gtk_selection_owner_set(GTK_WIDGET(widget), (selection), (time))
#define selection_add_target(widget, selection, target, info) gtk_selection_add_target(GTK_WIDGET(widget), (selection), (target), (info))
#define selection_add_targets(widget, selection, targets, ntargets) gtk_selection_add_targets(GTK_WIDGET(widget), (selection), (targets), (ntargets))
#define selection_convert(widget, selection, target, time) gtk_selection_convert(GTK_WIDGET(widget), (selection), (target), (time))
#define selection_data_set gtk_selection_data_set
#define selection_remove_all(widget) gtk_selection_remove_all(GTK_WIDGET(widget))
#define selection_clear(widget, event) gtk_selection_clear(GTK_WIDGET(widget), (event))
#define selection_request(widget, event) gtk_selection_request(GTK_WIDGET(widget), (event))
#define selection_incr_event gtk_selection_incr_event
#define selection_notify(widget, event) gtk_selection_notify(GTK_WIDGET(widget), (event))
#define selection_property_notify(widget, event) gtk_selection_property_notify(GTK_WIDGET(widget), (event))
#define selection_data_copy gtk_selection_data_copy
#define selection_data_free gtk_selection_data_free
#define separator_get_type gtk_separator_get_type
#define signal_lookup(name, object_type) gtk_signal_lookup((GTKSIG_ ## name), (object_type))
#define signal_name gtk_signal_name
#define signal_n_emissions(object, signal_id) gtk_signal_n_emissions(GTK_OBJECT(object), (signal_id))
#define signal_n_emissions_by_name(object, name) gtk_signal_n_emissions_by_name(GTK_OBJECT(object), (GTKSIG_ ## name))
#define signal_emit_stop(object, signal_id) gtk_signal_emit_stop(GTK_OBJECT(object), (signal_id))
#define signal_emit_stop_by_name(object, name) gtk_signal_emit_stop_by_name(GTK_OBJECT(object), (GTKSIG_ ## name))
#define signal_connect(object, name, func, func_data) gtk_signal_connect(GTK_OBJECT(object), (GTKSIG_ ## name), GTK_SIGNAL_FUNC(func), (func_data))
#define signal_connect_after(object, name, func, func_data) gtk_signal_connect_after(GTK_OBJECT(object), (GTKSIG_ ## name), GTK_SIGNAL_FUNC(func), (func_data))
#define signal_connect_object(object, name, func, slot_object) gtk_signal_connect_object(GTK_OBJECT(object), (GTKSIG_ ## name), GTK_SIGNAL_FUNC(func), GTK_OBJECT(slot_object))
#define signal_connect_object_after(object, name, func, slot_object) gtk_signal_connect_object_after(GTK_OBJECT(object), (GTKSIG_ ## name), GTK_SIGNAL_FUNC(func), GTK_OBJECT(slot_object))
#define signal_connect_full(object, name, func, marshal, data, destroy_func, object_signal, after) gtk_signal_connect_full(GTK_OBJECT(object), (GTKSIG_ ## name), GTK_SIGNAL_FUNC(func), (marshal), (data), (destroy_func), (object_signal), (after))
#define signal_connect_object_while_alive(object, signal, func, alive_object) gtk_signal_connect_object_while_alive(GTK_OBJECT(object), (GTKSIG_ ## signal), GTK_SIGNAL_FUNC(func), GTK_OBJECT(alive_object))
#define signal_connect_while_alive(object, signal, func, func_data, alive_object) gtk_signal_connect_while_alive(GTK_OBJECT(object), (GTKSIG_ ## signal), GTK_SIGNAL_FUNC(func), (func_data), GTK_OBJECT(alive_object))
#define signal_disconnect(object, handler_id) gtk_signal_disconnect(GTK_OBJECT(object), (handler_id))
#define signal_disconnect_by_func(object, func, data) gtk_signal_disconnect_by_func(GTK_OBJECT(object), GTK_SIGNAL_FUNC(func), (data))
#define signal_disconnect_by_data(object, data) gtk_signal_disconnect_by_data(GTK_OBJECT(object), (data))
#define signal_handler_block(object, handler_id) gtk_signal_handler_block(GTK_OBJECT(object), (handler_id))
#define signal_handler_block_by_func(object, func, data) gtk_signal_handler_block_by_func(GTK_OBJECT(object), GTK_SIGNAL_FUNC(func), (data))
#define signal_handler_block_by_data(object, data) gtk_signal_handler_block_by_data(GTK_OBJECT(object), (data))
#define signal_handler_unblock(object, handler_id) gtk_signal_handler_unblock(GTK_OBJECT(object), (handler_id))
#define signal_handler_unblock_by_func(object, func, data) gtk_signal_handler_unblock_by_func(GTK_OBJECT(object), GTK_SIGNAL_FUNC(func), (data))
#define signal_handler_unblock_by_data(object, data) gtk_signal_handler_unblock_by_data(GTK_OBJECT(object), (data))
#define signal_handler_pending(object, signal_id, may_be_blocked) gtk_signal_handler_pending(GTK_OBJECT(object), (signal_id), (may_be_blocked))
#define signal_handler_pending_by_func(object, signal_id, may_be_blocked, func, data) gtk_signal_handler_pending_by_func(GTK_OBJECT(object), (signal_id), (may_be_blocked), GTK_SIGNAL_FUNC(func), (data))
#define signal_handler_pending_by_id(object, handler_id, may_be_blocked) gtk_signal_handler_pending_by_id(GTK_OBJECT(object), (handler_id), (may_be_blocked))
#define signal_add_emission_hook gtk_signal_add_emission_hook
#define signal_add_emission_hook_full gtk_signal_add_emission_hook_full
#define signal_remove_emission_hook gtk_signal_remove_emission_hook
#define signal_query gtk_signal_query
#define signal_init gtk_signal_init
#define signal_new gtk_signal_new
#define signal_newv gtk_signal_newv
#define signal_emit gtk_signal_emit
#define signal_emit_by_name gtk_signal_emit_by_name
#define signal_emitv(object, signal_id, params) gtk_signal_emitv(GTK_OBJECT(object), (signal_id), (params))
#define signal_emitv_by_name(object, name, params) gtk_signal_emitv_by_name(GTK_OBJECT(object), (GTKSIG_ ## name), (params))
#define signal_handlers_destroy(object) gtk_signal_handlers_destroy(GTK_OBJECT(object))
#define signal_set_funcs gtk_signal_set_funcs
#define socket_new gtk_socket_new
#define socket_get_type gtk_socket_get_type
#define socket_steal(socket, wid) gtk_socket_steal(GTK_SOCKET(socket), (wid))
#define spin_button_get_type gtk_spin_button_get_type
#define spin_button_configure(spin_button, adjustment, climb_rate, digits) gtk_spin_button_configure(GTK_SPIN_BUTTON(spin_button), GTK_ADJUSTMENT(adjustment), (climb_rate), (digits))
#define spin_button_new(adjustment, climb_rate, digits) gtk_spin_button_new(GTK_ADJUSTMENT(adjustment), (climb_rate), (digits))
#define spin_button_set_adjustment(spin_button, adjustment) gtk_spin_button_set_adjustment(GTK_SPIN_BUTTON(spin_button), GTK_ADJUSTMENT(adjustment))
#define spin_button_get_adjustment(spin_button) gtk_spin_button_get_adjustment(GTK_SPIN_BUTTON(spin_button))
#define spin_button_set_digits(spin_button, digits) gtk_spin_button_set_digits(GTK_SPIN_BUTTON(spin_button), (digits))
#define spin_button_get_value_as_float(spin_button) gtk_spin_button_get_value_as_float(GTK_SPIN_BUTTON(spin_button))
#define spin_button_get_value_as_int(spin_button) gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(spin_button))
#define spin_button_set_value(spin_button, value) gtk_spin_button_set_value(GTK_SPIN_BUTTON(spin_button), (value))
#define spin_button_set_update_policy(spin_button, policy) gtk_spin_button_set_update_policy(GTK_SPIN_BUTTON(spin_button), (policy))
#define spin_button_set_numeric(spin_button, numeric) gtk_spin_button_set_numeric(GTK_SPIN_BUTTON(spin_button), (numeric))
#define spin_button_spin(spin_button, direction, increment) gtk_spin_button_spin(GTK_SPIN_BUTTON(spin_button), (direction), (increment))
#define spin_button_set_wrap(spin_button, wrap) gtk_spin_button_set_wrap(GTK_SPIN_BUTTON(spin_button), (wrap))
#define spin_button_set_shadow_type(spin_button, shadow_type) gtk_spin_button_set_shadow_type(GTK_SPIN_BUTTON(spin_button), (shadow_type))
#define spin_button_set_snap_to_ticks(spin_button, snap_to_ticks) gtk_spin_button_set_snap_to_ticks(GTK_SPIN_BUTTON(spin_button), (snap_to_ticks))
#define spin_button_update(spin_button) gtk_spin_button_update(GTK_SPIN_BUTTON(spin_button))
#define style_new gtk_style_new
#define style_copy gtk_style_copy
#define style_attach gtk_style_attach
#define style_detach gtk_style_detach
#define style_ref gtk_style_ref
#define style_unref gtk_style_unref
#define style_set_background gtk_style_set_background
#define style_apply_default_background gtk_style_apply_default_background
#define draw_hline gtk_draw_hline
#define draw_vline gtk_draw_vline
#define draw_shadow gtk_draw_shadow
#define draw_polygon gtk_draw_polygon
#define draw_arrow gtk_draw_arrow
#define draw_diamond gtk_draw_diamond
#define draw_oval gtk_draw_oval
#define draw_string gtk_draw_string
#define draw_box gtk_draw_box
#define draw_flat_box gtk_draw_flat_box
#define draw_check gtk_draw_check
#define draw_option gtk_draw_option
#define draw_cross gtk_draw_cross
#define draw_ramp gtk_draw_ramp
#define draw_tab gtk_draw_tab
#define draw_shadow_gap gtk_draw_shadow_gap
#define draw_box_gap gtk_draw_box_gap
#define draw_extension gtk_draw_extension
#define draw_focus gtk_draw_focus
#define draw_slider gtk_draw_slider
#define draw_handle gtk_draw_handle
#define paint_hline(style, window, state_type, area, widget, detail, x1, x2, y) gtk_paint_hline((style), (window), (state_type), (area), GTK_WIDGET(widget), (detail), (x1), (x2), (y))
#define paint_vline(style, window, state_type, area, widget, detail, y1, y2, x) gtk_paint_vline((style), (window), (state_type), (area), GTK_WIDGET(widget), (detail), (y1), (y2), (x))
#define paint_shadow(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_shadow((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_polygon(style, window, state_type, shadow_type, area, widget, detail, points, npoints, fill) gtk_paint_polygon((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (points), (npoints), (fill))
#define paint_arrow(style, window, state_type, shadow_type, area, widget, detail, arrow_type, fill, x, y, width, height) gtk_paint_arrow((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (arrow_type), (fill), (x), (y), (width), (height))
#define paint_diamond(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_diamond((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_oval(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_oval((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_string(style, window, state_type, area, widget, detail, x, y, string) gtk_paint_string((style), (window), (state_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (string))
#define paint_box(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_box((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_flat_box(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_flat_box((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_check(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_check((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_option(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_option((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_cross(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_cross((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_ramp(style, window, state_type, shadow_type, area, widget, detail, arrow_type, x, y, width, height) gtk_paint_ramp((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (arrow_type), (x), (y), (width), (height))
#define paint_tab(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height) gtk_paint_tab((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_shadow_gap(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height, gap_side, gap_x, gap_width) gtk_paint_shadow_gap((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height), (gap_side), (gap_x), (gap_width))
#define paint_box_gap(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height, gap_side, gap_x, gap_width) gtk_paint_box_gap((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height), (gap_side), (gap_x), (gap_width))
#define paint_extension(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height, gap_side) gtk_paint_extension((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height), (gap_side))
#define paint_focus(style, window, area, widget, detail, x, y, width, height) gtk_paint_focus((style), (window), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height))
#define paint_slider(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height, orientation) gtk_paint_slider((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height), (orientation))
#define paint_handle(style, window, state_type, shadow_type, area, widget, detail, x, y, width, height, orientation) gtk_paint_handle((style), (window), (state_type), (shadow_type), (area), GTK_WIDGET(widget), (detail), (x), (y), (width), (height), (orientation))
#define style_set_prop_experimental gtk_style_set_prop_experimental
#define style_get_prop_experimental gtk_style_get_prop_experimental
#define statusbar_get_type gtk_statusbar_get_type
#define statusbar_new gtk_statusbar_new
#define statusbar_get_context_id(statusbar, context_description) gtk_statusbar_get_context_id(GTK_STATUSBAR(statusbar), (context_description))
#define statusbar_push(statusbar, context_id, text) gtk_statusbar_push(GTK_STATUSBAR(statusbar), (context_id), (text))
#define statusbar_pop(statusbar, context_id) gtk_statusbar_pop(GTK_STATUSBAR(statusbar), (context_id))
#define statusbar_remove(statusbar, context_id, message_id) gtk_statusbar_remove(GTK_STATUSBAR(statusbar), (context_id), (message_id))
#define table_get_type gtk_table_get_type
#define table_new gtk_table_new
#define table_resize(table, rows, columns) gtk_table_resize(GTK_TABLE(table), (rows), (columns))
#define table_attach(table, child, left_attach, right_attach, top_attach, bottom_attach, xoptions, yoptions, xpadding, ypadding) gtk_table_attach(GTK_TABLE(table), GTK_WIDGET(child), (left_attach), (right_attach), (top_attach), (bottom_attach), (xoptions), (yoptions), (xpadding), (ypadding))
#define table_attach_defaults(table, widget, left_attach, right_attach, top_attach, bottom_attach) gtk_table_attach_defaults(GTK_TABLE(table), GTK_WIDGET(widget), (left_attach), (right_attach), (top_attach), (bottom_attach))
#define table_set_row_spacing(table, row, spacing) gtk_table_set_row_spacing(GTK_TABLE(table), (row), (spacing))
#define table_set_col_spacing(table, column, spacing) gtk_table_set_col_spacing(GTK_TABLE(table), (column), (spacing))
#define table_set_row_spacings(table, spacing) gtk_table_set_row_spacings(GTK_TABLE(table), (spacing))
#define table_set_col_spacings(table, spacing) gtk_table_set_col_spacings(GTK_TABLE(table), (spacing))
#define table_set_homogeneous(table, homogeneous) gtk_table_set_homogeneous(GTK_TABLE(table), (homogeneous))
#define tearoff_menu_item_get_type gtk_tearoff_menu_item_get_type
#define tearoff_menu_item_new gtk_tearoff_menu_item_new
#define text_get_type gtk_text_get_type
#define text_new(hadj, vadj) gtk_text_new(GTK_ADJUSTMENT(hadj), GTK_ADJUSTMENT(vadj))
#define text_set_editable(text, editable) gtk_text_set_editable(GTK_TEXT(text), (editable))
#define text_set_word_wrap(text, word_wrap) gtk_text_set_word_wrap(GTK_TEXT(text), (word_wrap))
#define text_set_line_wrap(text, line_wrap) gtk_text_set_line_wrap(GTK_TEXT(text), (line_wrap))
#define text_set_adjustments(text, hadj, vadj) gtk_text_set_adjustments(GTK_TEXT(text), GTK_ADJUSTMENT(hadj), GTK_ADJUSTMENT(vadj))
#define text_set_point(text, index) gtk_text_set_point(GTK_TEXT(text), (index))
#define text_get_point(text) gtk_text_get_point(GTK_TEXT(text))
#define text_get_length(text) gtk_text_get_length(GTK_TEXT(text))
#define text_freeze(text) gtk_text_freeze(GTK_TEXT(text))
#define text_thaw(text) gtk_text_thaw(GTK_TEXT(text))
#define text_insert(text, font, fore, back, chars, length) gtk_text_insert(GTK_TEXT(text), (font), (fore), (back), (chars), (length))
#define text_backward_delete(text, nchars) gtk_text_backward_delete(GTK_TEXT(text), (nchars))
#define text_forward_delete(text, nchars) gtk_text_forward_delete(GTK_TEXT(text), (nchars))
#define theme_engine_get gtk_theme_engine_get
#define theme_engine_ref gtk_theme_engine_ref
#define theme_engine_unref gtk_theme_engine_unref
#define tips_query_get_type gtk_tips_query_get_type
#define tips_query_new gtk_tips_query_new
#define tips_query_start_query(tips_query) gtk_tips_query_start_query(GTK_TIPS_QUERY(tips_query))
#define tips_query_stop_query(tips_query) gtk_tips_query_stop_query(GTK_TIPS_QUERY(tips_query))
#define tips_query_set_caller(tips_query, caller) gtk_tips_query_set_caller(GTK_TIPS_QUERY(tips_query), GTK_WIDGET(caller))
#define tips_query_set_labels(tips_query, label_inactive, label_no_tip) gtk_tips_query_set_labels(GTK_TIPS_QUERY(tips_query), (label_inactive), (label_no_tip))
#define toggle_button_get_type gtk_toggle_button_get_type
#define toggle_button_new gtk_toggle_button_new
#define toggle_button_new_with_label gtk_toggle_button_new_with_label
#define toggle_button_set_mode(toggle_button, draw_indicator) gtk_toggle_button_set_mode(GTK_TOGGLE_BUTTON(toggle_button), (draw_indicator))
#define toggle_button_set_active(toggle_button, is_active) gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(toggle_button), (is_active))
#define toggle_button_get_active(toggle_button) gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(toggle_button))
#define toggle_button_toggled(toggle_button) gtk_toggle_button_toggled(GTK_TOGGLE_BUTTON(toggle_button))
#define toolbar_get_type gtk_toolbar_get_type
#define toolbar_new gtk_toolbar_new
#define toolbar_append_item(toolbar, text, tooltip_text, tooltip_private_text, icon, callback, user_data) gtk_toolbar_append_item(GTK_TOOLBAR(toolbar), (text), (tooltip_text), (tooltip_private_text), GTK_WIDGET(icon), GTK_SIGNAL_FUNC(callback), (user_data))
#define toolbar_prepend_item(toolbar, text, tooltip_text, tooltip_private_text, icon, callback, user_data) gtk_toolbar_prepend_item(GTK_TOOLBAR(toolbar), (text), (tooltip_text), (tooltip_private_text), GTK_WIDGET(icon), GTK_SIGNAL_FUNC(callback), (user_data))
#define toolbar_insert_item(toolbar, text, tooltip_text, tooltip_private_text, icon, callback, user_data, position) gtk_toolbar_insert_item(GTK_TOOLBAR(toolbar), (text), (tooltip_text), (tooltip_private_text), GTK_WIDGET(icon), GTK_SIGNAL_FUNC(callback), (user_data), (position))
#define toolbar_append_space(toolbar) gtk_toolbar_append_space(GTK_TOOLBAR(toolbar))
#define toolbar_prepend_space(toolbar) gtk_toolbar_prepend_space(GTK_TOOLBAR(toolbar))
#define toolbar_insert_space(toolbar, position) gtk_toolbar_insert_space(GTK_TOOLBAR(toolbar), (position))
#define toolbar_append_element(toolbar, type, widget, text, tooltip_text, tooltip_private_text, icon, callback, user_data) gtk_toolbar_append_element(GTK_TOOLBAR(toolbar), (type), GTK_WIDGET(widget), (text), (tooltip_text), (tooltip_private_text), GTK_WIDGET(icon), GTK_SIGNAL_FUNC(callback), (user_data))
#define toolbar_prepend_element(toolbar, type, widget, text, tooltip_text, tooltip_private_text, icon, callback, user_data) gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar), (type), GTK_WIDGET(widget), (text), (tooltip_text), (tooltip_private_text), GTK_WIDGET(icon), GTK_SIGNAL_FUNC(callback), (user_data))
#define toolbar_insert_element(toolbar, type, widget, text, tooltip_text, tooltip_private_text, icon, callback, user_data, position) gtk_toolbar_insert_element(GTK_TOOLBAR(toolbar), (type), GTK_WIDGET(widget), (text), (tooltip_text), (tooltip_private_text), GTK_WIDGET(icon), GTK_SIGNAL_FUNC(callback), (user_data), (position))
#define toolbar_append_widget(toolbar, widget, tooltip_text, tooltip_private_text) gtk_toolbar_append_widget(GTK_TOOLBAR(toolbar), GTK_WIDGET(widget), (tooltip_text), (tooltip_private_text))
#define toolbar_prepend_widget(toolbar, widget, tooltip_text, tooltip_private_text) gtk_toolbar_prepend_widget(GTK_TOOLBAR(toolbar), GTK_WIDGET(widget), (tooltip_text), (tooltip_private_text))
#define toolbar_insert_widget(toolbar, widget, tooltip_text, tooltip_private_text, position) gtk_toolbar_insert_widget(GTK_TOOLBAR(toolbar), GTK_WIDGET(widget), (tooltip_text), (tooltip_private_text), (position))
#define toolbar_set_orientation(toolbar, orientation) gtk_toolbar_set_orientation(GTK_TOOLBAR(toolbar), (orientation))
#define toolbar_set_style(toolbar, style) gtk_toolbar_set_style(GTK_TOOLBAR(toolbar), (style))
#define toolbar_set_space_size(toolbar, space_size) gtk_toolbar_set_space_size(GTK_TOOLBAR(toolbar), (space_size))
#define toolbar_set_space_style(toolbar, space_style) gtk_toolbar_set_space_style(GTK_TOOLBAR(toolbar), (space_style))
#define toolbar_set_tooltips(toolbar, enable) gtk_toolbar_set_tooltips(GTK_TOOLBAR(toolbar), (enable))
#define toolbar_set_button_relief(toolbar, relief) gtk_toolbar_set_button_relief(GTK_TOOLBAR(toolbar), (relief))
#define toolbar_get_button_relief(toolbar) gtk_toolbar_get_button_relief(GTK_TOOLBAR(toolbar))
#define tooltips_get_type gtk_tooltips_get_type
#define tooltips_new gtk_tooltips_new
#define tooltips_enable(tooltips) gtk_tooltips_enable(GTK_TOOLTIPS(tooltips))
#define tooltips_disable(tooltips) gtk_tooltips_disable(GTK_TOOLTIPS(tooltips))
#define tooltips_set_delay(tooltips, delay) gtk_tooltips_set_delay(GTK_TOOLTIPS(tooltips), (delay))
#define tooltips_set_tip(tooltips, widget, tip_text, tip_private) gtk_tooltips_set_tip(GTK_TOOLTIPS(tooltips), GTK_WIDGET(widget), (tip_text), (tip_private))
#define tooltips_set_colors(tooltips, background, foreground) gtk_tooltips_set_colors(GTK_TOOLTIPS(tooltips), (background), (foreground))
#define tooltips_data_get(widget) gtk_tooltips_data_get(GTK_WIDGET(widget))
#define tooltips_force_window(tooltips) gtk_tooltips_force_window(GTK_TOOLTIPS(tooltips))
#define tree_get_type gtk_tree_get_type
#define tree_new gtk_tree_new
#define tree_append(tree, tree_item) gtk_tree_append(GTK_TREE(tree), GTK_WIDGET(tree_item))
#define tree_prepend(tree, tree_item) gtk_tree_prepend(GTK_TREE(tree), GTK_WIDGET(tree_item))
#define tree_insert(tree, tree_item, position) gtk_tree_insert(GTK_TREE(tree), GTK_WIDGET(tree_item), (position))
#define tree_remove_items(tree, items) gtk_tree_remove_items(GTK_TREE(tree), (items))
#define tree_clear_items(tree, start, end) gtk_tree_clear_items(GTK_TREE(tree), (start), (end))
#define tree_select_item(tree, item) gtk_tree_select_item(GTK_TREE(tree), (item))
#define tree_unselect_item(tree, item) gtk_tree_unselect_item(GTK_TREE(tree), (item))
#define tree_select_child(tree, tree_item) gtk_tree_select_child(GTK_TREE(tree), GTK_WIDGET(tree_item))
#define tree_unselect_child(tree, tree_item) gtk_tree_unselect_child(GTK_TREE(tree), GTK_WIDGET(tree_item))
#define tree_child_position(tree, child) gtk_tree_child_position(GTK_TREE(tree), GTK_WIDGET(child))
#define tree_set_selection_mode(tree, mode) gtk_tree_set_selection_mode(GTK_TREE(tree), (mode))
#define tree_set_view_mode(tree, mode) gtk_tree_set_view_mode(GTK_TREE(tree), (mode))
#define tree_set_view_lines(tree, flag) gtk_tree_set_view_lines(GTK_TREE(tree), (flag))
#define tree_remove_item(tree, child) gtk_tree_remove_item(GTK_TREE(tree), GTK_WIDGET(child))
#define tree_item_get_type gtk_tree_item_get_type
#define tree_item_new gtk_tree_item_new
#define tree_item_new_with_label gtk_tree_item_new_with_label
#define tree_item_set_subtree(tree_item, subtree) gtk_tree_item_set_subtree(GTK_TREE_ITEM(tree_item), GTK_WIDGET(subtree))
#define tree_item_remove_subtree(tree_item) gtk_tree_item_remove_subtree(GTK_TREE_ITEM(tree_item))
#define tree_item_select(tree_item) gtk_tree_item_select(GTK_TREE_ITEM(tree_item))
#define tree_item_deselect(tree_item) gtk_tree_item_deselect(GTK_TREE_ITEM(tree_item))
#define tree_item_expand(tree_item) gtk_tree_item_expand(GTK_TREE_ITEM(tree_item))
#define tree_item_collapse(tree_item) gtk_tree_item_collapse(GTK_TREE_ITEM(tree_item))
#define identifier_get_type gtk_identifier_get_type
#define type_init gtk_type_init
#define type_unique gtk_type_unique
#define type_set_chunk_alloc gtk_type_set_chunk_alloc
#define type_name gtk_type_name
#define type_from_name gtk_type_from_name
#define type_parent gtk_type_parent
#define type_class gtk_type_class
#define type_parent_class gtk_type_parent_class
#define type_children_types gtk_type_children_types
#define type_new gtk_type_new
#define type_free gtk_type_free
#define type_describe_heritage gtk_type_describe_heritage
#define type_describe_tree gtk_type_describe_tree
#define type_is_a gtk_type_is_a
#define type_check_object_cast gtk_type_check_object_cast
#define type_check_class_cast gtk_type_check_class_cast
#define type_register_enum gtk_type_register_enum
#define type_register_flags gtk_type_register_flags
#define type_enum_get_values gtk_type_enum_get_values
#define type_flags_get_values gtk_type_flags_get_values
#define type_enum_find_value gtk_type_enum_find_value
#define type_flags_find_value gtk_type_flags_find_value
#define type_set_varargs_type gtk_type_set_varargs_type
#define type_get_varargs_type gtk_type_get_varargs_type
#define type_query gtk_type_query
#define vbutton_box_get_type gtk_vbutton_box_get_type
#define vbutton_box_new gtk_vbutton_box_new
#define vbutton_box_get_spacing_default gtk_vbutton_box_get_spacing_default
#define vbutton_box_set_spacing_default gtk_vbutton_box_set_spacing_default
#define vbutton_box_get_layout_default gtk_vbutton_box_get_layout_default
#define vbutton_box_set_layout_default gtk_vbutton_box_set_layout_default
#define vbox_get_type gtk_vbox_get_type
#define vbox_new gtk_vbox_new
#define viewport_get_type gtk_viewport_get_type
#define viewport_new(hadjustment, vadjustment) gtk_viewport_new(GTK_ADJUSTMENT(hadjustment), GTK_ADJUSTMENT(vadjustment))
#define viewport_get_hadjustment(viewport) gtk_viewport_get_hadjustment(GTK_VIEWPORT(viewport))
#define viewport_get_vadjustment(viewport) gtk_viewport_get_vadjustment(GTK_VIEWPORT(viewport))
#define viewport_set_hadjustment(viewport, adjustment) gtk_viewport_set_hadjustment(GTK_VIEWPORT(viewport), GTK_ADJUSTMENT(adjustment))
#define viewport_set_vadjustment(viewport, adjustment) gtk_viewport_set_vadjustment(GTK_VIEWPORT(viewport), GTK_ADJUSTMENT(adjustment))
#define viewport_set_shadow_type(viewport, type) gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), (type))
#define vpaned_get_type gtk_vpaned_get_type
#define vpaned_new gtk_vpaned_new
#define vruler_get_type gtk_vruler_get_type
#define vruler_new gtk_vruler_new
#define vscale_get_type gtk_vscale_get_type
#define vscale_new(adjustment) gtk_vscale_new(GTK_ADJUSTMENT(adjustment))
#define vscrollbar_get_type gtk_vscrollbar_get_type
#define vscrollbar_new(adjustment) gtk_vscrollbar_new(GTK_ADJUSTMENT(adjustment))
#define vseparator_get_type gtk_vseparator_get_type
#define vseparator_new gtk_vseparator_new
#define widget_get_type gtk_widget_get_type
#define widget_new gtk_widget_new
#define widget_newv gtk_widget_newv
#define widget_ref(widget) gtk_widget_ref(GTK_WIDGET(widget))
#define widget_unref(widget) gtk_widget_unref(GTK_WIDGET(widget))
#define widget_destroy(widget) gtk_widget_destroy(GTK_WIDGET(widget))
#define widget_destroyed(widget, widget_pointer) gtk_widget_destroyed(GTK_WIDGET(widget), GTK_WIDGET(widget_pointer))
#define widget_get(widget, arg) gtk_widget_get(GTK_WIDGET(widget), (arg))
#define widget_getv(widget, nargs, args) gtk_widget_getv(GTK_WIDGET(widget), (nargs), (args))
#define widget_set gtk_widget_set
#define widget_setv(widget, nargs, args) gtk_widget_setv(GTK_WIDGET(widget), (nargs), (args))
#define widget_unparent(widget) gtk_widget_unparent(GTK_WIDGET(widget))
#define widget_show(widget) gtk_widget_show(GTK_WIDGET(widget))
#define widget_show_now(widget) gtk_widget_show_now(GTK_WIDGET(widget))
#define widget_hide(widget) gtk_widget_hide(GTK_WIDGET(widget))
#define widget_show_all(widget) gtk_widget_show_all(GTK_WIDGET(widget))
#define widget_hide_all(widget) gtk_widget_hide_all(GTK_WIDGET(widget))
#define widget_map(widget) gtk_widget_map(GTK_WIDGET(widget))
#define widget_unmap(widget) gtk_widget_unmap(GTK_WIDGET(widget))
#define widget_realize(widget) gtk_widget_realize(GTK_WIDGET(widget))
#define widget_unrealize(widget) gtk_widget_unrealize(GTK_WIDGET(widget))
#define widget_queue_draw(widget) gtk_widget_queue_draw(GTK_WIDGET(widget))
#define widget_queue_draw_area(widget, x, y, width, height) gtk_widget_queue_draw_area(GTK_WIDGET(widget), (x), (y), (width), (height))
#define widget_queue_clear(widget) gtk_widget_queue_clear(GTK_WIDGET(widget))
#define widget_queue_clear_area(widget, x, y, width, height) gtk_widget_queue_clear_area(GTK_WIDGET(widget), (x), (y), (width), (height))
#define widget_queue_resize(widget) gtk_widget_queue_resize(GTK_WIDGET(widget))
#define widget_draw(widget, area) gtk_widget_draw(GTK_WIDGET(widget), (area))
#define widget_draw_focus(widget) gtk_widget_draw_focus(GTK_WIDGET(widget))
#define widget_draw_default(widget) gtk_widget_draw_default(GTK_WIDGET(widget))
#define widget_size_request(widget, requisition) gtk_widget_size_request(GTK_WIDGET(widget), (requisition))
#define widget_size_allocate(widget, allocation) gtk_widget_size_allocate(GTK_WIDGET(widget), (allocation))
#define widget_get_child_requisition(widget, requisition) gtk_widget_get_child_requisition(GTK_WIDGET(widget), (requisition))
#define widget_add_accelerator(widget, accel_signal, accel_group, accel_key, accel_mods, accel_flags) gtk_widget_add_accelerator(GTK_WIDGET(widget), (GTKSIG_ ## accel_signal), (accel_group), (accel_key), (accel_mods), (accel_flags))
#define widget_remove_accelerator(widget, accel_group, accel_key, accel_mods) gtk_widget_remove_accelerator(GTK_WIDGET(widget), (accel_group), (accel_key), (accel_mods))
#define widget_remove_accelerators(widget, accel_signal, visible_only) gtk_widget_remove_accelerators(GTK_WIDGET(widget), (GTKSIG_ ## accel_signal), (visible_only))
#define widget_accelerator_signal(widget, accel_group, accel_key, accel_mods) gtk_widget_accelerator_signal(GTK_WIDGET(widget), (accel_group), (accel_key), (accel_mods))
#define widget_lock_accelerators(widget) gtk_widget_lock_accelerators(GTK_WIDGET(widget))
#define widget_unlock_accelerators(widget) gtk_widget_unlock_accelerators(GTK_WIDGET(widget))
#define widget_accelerators_locked(widget) gtk_widget_accelerators_locked(GTK_WIDGET(widget))
#define widget_event(widget, event) gtk_widget_event(GTK_WIDGET(widget), (event))
#define widget_activate(widget) gtk_widget_activate(GTK_WIDGET(widget))
#define widget_set_scroll_adjustments(widget, hadjustment, vadjustment) gtk_widget_set_scroll_adjustments(GTK_WIDGET(widget), GTK_ADJUSTMENT(hadjustment), GTK_ADJUSTMENT(vadjustment))
#define widget_reparent(widget, new_parent) gtk_widget_reparent(GTK_WIDGET(widget), GTK_WIDGET(new_parent))
#define widget_popup(widget, x, y) gtk_widget_popup(GTK_WIDGET(widget), (x), (y))
#define widget_intersect(widget, area, intersection) gtk_widget_intersect(GTK_WIDGET(widget), (area), (intersection))
#define widget_grab_focus(widget) gtk_widget_grab_focus(GTK_WIDGET(widget))
#define widget_grab_default(widget) gtk_widget_grab_default(GTK_WIDGET(widget))
#define widget_set_name(widget, name) gtk_widget_set_name(GTK_WIDGET(widget), (name))
#define widget_get_name(widget) gtk_widget_get_name(GTK_WIDGET(widget))
#define widget_set_state(widget, state) gtk_widget_set_state(GTK_WIDGET(widget), (state))
#define widget_set_sensitive(widget, sensitive) gtk_widget_set_sensitive(GTK_WIDGET(widget), (sensitive))
#define widget_set_app_paintable(widget, app_paintable) gtk_widget_set_app_paintable(GTK_WIDGET(widget), (app_paintable))
#define widget_set_parent(widget, parent) gtk_widget_set_parent(GTK_WIDGET(widget), GTK_WIDGET(parent))
#define widget_set_parent_window(widget, parent_window) gtk_widget_set_parent_window(GTK_WIDGET(widget), (parent_window))
#define widget_get_parent_window(widget) gtk_widget_get_parent_window(GTK_WIDGET(widget))
#define widget_set_uposition(widget, x, y) gtk_widget_set_uposition(GTK_WIDGET(widget), (x), (y))
#define widget_set_usize(widget, width, height) gtk_widget_set_usize(GTK_WIDGET(widget), (width), (height))
#define widget_set_events(widget, events) gtk_widget_set_events(GTK_WIDGET(widget), (events))
#define widget_add_events(widget, events) gtk_widget_add_events(GTK_WIDGET(widget), (events))
#define widget_set_extension_events(widget, mode) gtk_widget_set_extension_events(GTK_WIDGET(widget), (mode))
#define widget_get_extension_events(widget) gtk_widget_get_extension_events(GTK_WIDGET(widget))
#define widget_get_toplevel(widget) gtk_widget_get_toplevel(GTK_WIDGET(widget))
#define widget_get_ancestor(widget, widget_type) gtk_widget_get_ancestor(GTK_WIDGET(widget), (widget_type))
#define widget_get_colormap(widget) gtk_widget_get_colormap(GTK_WIDGET(widget))
#define widget_get_visual(widget) gtk_widget_get_visual(GTK_WIDGET(widget))
#define widget_set_colormap(widget, colormap) gtk_widget_set_colormap(GTK_WIDGET(widget), (colormap))
#define widget_set_visual(widget, visual) gtk_widget_set_visual(GTK_WIDGET(widget), (visual))
#define widget_get_events(widget) gtk_widget_get_events(GTK_WIDGET(widget))
#define widget_get_pointer(widget, x, y) gtk_widget_get_pointer(GTK_WIDGET(widget), (x), (y))
#define widget_is_ancestor(widget, ancestor) gtk_widget_is_ancestor(GTK_WIDGET(widget), GTK_WIDGET(ancestor))
#define widget_hide_on_delete(widget) gtk_widget_hide_on_delete(GTK_WIDGET(widget))
#define widget_set_style(widget, style) gtk_widget_set_style(GTK_WIDGET(widget), (style))
#define widget_set_rc_style(widget) gtk_widget_set_rc_style(GTK_WIDGET(widget))
#define widget_ensure_style(widget) gtk_widget_ensure_style(GTK_WIDGET(widget))
#define widget_get_style(widget) gtk_widget_get_style(GTK_WIDGET(widget))
#define widget_restore_default_style(widget) gtk_widget_restore_default_style(GTK_WIDGET(widget))
#define widget_modify_style(widget, style) gtk_widget_modify_style(GTK_WIDGET(widget), (style))
#define widget_set_composite_name(widget, name) gtk_widget_set_composite_name(GTK_WIDGET(widget), (name))
#define widget_get_composite_name(widget) gtk_widget_get_composite_name(GTK_WIDGET(widget))
#define widget_reset_rc_styles(widget) gtk_widget_reset_rc_styles(GTK_WIDGET(widget))
#define widget_push_style gtk_widget_push_style
#define widget_push_colormap gtk_widget_push_colormap
#define widget_push_visual gtk_widget_push_visual
#define widget_push_composite_child gtk_widget_push_composite_child
#define widget_pop_composite_child gtk_widget_pop_composite_child
#define widget_pop_style gtk_widget_pop_style
#define widget_pop_colormap gtk_widget_pop_colormap
#define widget_pop_visual gtk_widget_pop_visual
#define widget_set_default_style gtk_widget_set_default_style
#define widget_set_default_colormap gtk_widget_set_default_colormap
#define widget_set_default_visual gtk_widget_set_default_visual
#define widget_get_default_style gtk_widget_get_default_style
#define widget_get_default_colormap gtk_widget_get_default_colormap
#define widget_get_default_visual gtk_widget_get_default_visual
#define widget_shape_combine_mask(widget, shape_mask, offset_x, offset_y) gtk_widget_shape_combine_mask(GTK_WIDGET(widget), (shape_mask), (offset_x), (offset_y))
#define widget_reset_shapes(widget) gtk_widget_reset_shapes(GTK_WIDGET(widget))
#define widget_path(widget, path_length, path, path_reversed) gtk_widget_path(GTK_WIDGET(widget), (path_length), (path), (path_reversed))
#define widget_class_path(widget, path_length, path, path_reversed) gtk_widget_class_path(GTK_WIDGET(widget), (path_length), (path), (path_reversed))
#define window_get_type gtk_window_get_type
#define window_new gtk_window_new
#define window_set_title(window, title) gtk_window_set_title(GTK_WINDOW(window), (title))
#define window_set_wmclass(window, wmclass_name, wmclass_class) gtk_window_set_wmclass(GTK_WINDOW(window), (wmclass_name), (wmclass_class))
#define window_set_policy(window, allow_shrink, allow_grow, auto_shrink) gtk_window_set_policy(GTK_WINDOW(window), (allow_shrink), (allow_grow), (auto_shrink))
#define window_add_accel_group(window, accel_group) gtk_window_add_accel_group(GTK_WINDOW(window), (accel_group))
#define window_remove_accel_group(window, accel_group) gtk_window_remove_accel_group(GTK_WINDOW(window), (accel_group))
#define window_set_position(window, position) gtk_window_set_position(GTK_WINDOW(window), (position))
#define window_activate_focus(window) gtk_window_activate_focus(GTK_WINDOW(window))
#define window_activate_default(window) gtk_window_activate_default(GTK_WINDOW(window))
#define window_set_transient_for(window, parent) gtk_window_set_transient_for(GTK_WINDOW(window), GTK_WINDOW(parent))
#define window_set_geometry_hints(window, geometry_widget, geometry, geom_mask) gtk_window_set_geometry_hints(GTK_WINDOW(window), GTK_WIDGET(geometry_widget), (geometry), (geom_mask))
#define window_set_default_size(window, width, height) gtk_window_set_default_size(GTK_WINDOW(window), (width), (height))
#define window_set_modal(window, modal) gtk_window_set_modal(GTK_WINDOW(window), (modal))
#define window_set_focus(window, focus) gtk_window_set_focus(GTK_WINDOW(window), GTK_WIDGET(focus))
#define window_set_default(window, defaultw) gtk_window_set_default(GTK_WINDOW(window), GTK_WIDGET(defaultw))
#define window_remove_embedded_xid(window, xid) gtk_window_remove_embedded_xid(GTK_WINDOW(window), (xid))
#define window_add_embedded_xid(window, xid) gtk_window_add_embedded_xid(GTK_WINDOW(window), (xid))
#define window_reposition(window, x, y) gtk_window_reposition(GTK_WINDOW(window), (x), (y))

/*
** Extra shortcuts for the pathologically lazy :-)
*/

#ifndef GTKLEAN_NOT_LAZY
#define box_pack box_pack_start
#endif

#endif
